<?xml version="1.0" encoding="utf-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
  <xsl:output method="xml" indent="yes" doctype-system="DTD/assessment-trademark-application.dtd" encoding="UTF-8"/>
  <xsl:template match="/assessment-trademark-application">
    <assessment-trademark-application receive-num="" receive-date="" dtd-version="2.0.1" application-version="1.0.7" form-version="1.0.6" fee-version="1.0.2"  produced-by="applicant" form-type="n">
      <xsl:attribute name="case-code">
        <xsl:value-of select="case-code"/>
      </xsl:attribute>

      <xsl:attribute name="registration-num">
        <xsl:value-of select="application-num"/>
      </xsl:attribute>

      <xsl:choose>
        <xsl:when test="count(recognizance1)&gt;0">
          <xsl:attribute name="recognizance1">
            <xsl:text>y</xsl:text>
          </xsl:attribute>
        </xsl:when>
        <xsl:otherwise>
          <xsl:attribute name="recognizance1">
            <xsl:text>n</xsl:text>
          </xsl:attribute>
        </xsl:otherwise>
      </xsl:choose>

      <xsl:choose>
        <xsl:when test="count(recognizance2)&gt;0">
          <xsl:attribute name="recognizance2">
            <xsl:text>y</xsl:text>
          </xsl:attribute>
        </xsl:when>
        <xsl:otherwise>
          <xsl:attribute name="recognizance2">
            <xsl:text>n</xsl:text>
          </xsl:attribute>
        </xsl:otherwise>
      </xsl:choose>

      <xsl:choose>
        <xsl:when test="count(recognizance3)&gt;0">
          <xsl:attribute name="recognizance3">
            <xsl:text>y</xsl:text>
          </xsl:attribute>
        </xsl:when>
        <xsl:otherwise>
          <xsl:attribute name="recognizance3">
            <xsl:text>n</xsl:text>
          </xsl:attribute>
        </xsl:otherwise>
      </xsl:choose>
      <xsl:choose>
        <xsl:when test="count(recognizance5)&gt;0">
          <xsl:attribute name="recognizance5">
            <xsl:text>y</xsl:text>
          </xsl:attribute>
        </xsl:when>
        <xsl:otherwise>
          <xsl:attribute name="recognizance5">
            <xsl:text>n</xsl:text>
          </xsl:attribute>
        </xsl:otherwise>
      </xsl:choose>
      <xsl:choose>
        <xsl:when test="count(recognizance7)&gt;0">
          <xsl:attribute name="recognizance7">
            <xsl:text>y</xsl:text>
          </xsl:attribute>
        </xsl:when>
        <xsl:otherwise>
          <xsl:attribute name="recognizance7">
            <xsl:text>n</xsl:text>
          </xsl:attribute>
        </xsl:otherwise>
      </xsl:choose>
      <xsl:choose>
        <xsl:when test="count(recognizance8)&gt;0">
          <xsl:attribute name="recognizance8">
            <xsl:text>y</xsl:text>
          </xsl:attribute>
        </xsl:when>
        <xsl:otherwise>
          <xsl:attribute name="recognizance8">
            <xsl:text>n</xsl:text>
          </xsl:attribute>
        </xsl:otherwise>
      </xsl:choose>

      <xsl:attribute name="application-num">
        <xsl:value-of select="application-num"/>
      </xsl:attribute>
      <xsl:attribute name="type-of-mark">
        <xsl:choose>
          <xsl:when test="type-of-mark='商標'">
            <xsl:text>trademark</xsl:text>
          </xsl:when>
          <xsl:when test="type-of-mark='商標(92年修正前服務標章)'">
            <xsl:text>trademark92</xsl:text>
          </xsl:when>
          <xsl:when test="type-of-mark='證明標章'">
            <xsl:text>certification-mark</xsl:text>
          </xsl:when>
          <xsl:when test="type-of-mark='團體標章'">
            <xsl:text>collective-membership-mark</xsl:text>
          </xsl:when>
          <xsl:when test="type-of-mark='團體商標'">
            <xsl:text>collective-trademark</xsl:text>
          </xsl:when>
        </xsl:choose>
      </xsl:attribute>
      <file-reference-id>
        <xsl:value-of select="file-reference-id"/>
      </file-reference-id>
      <mark-representation>
        <xsl:copy-of select="denomination"/>
      </mark-representation>
      <xsl:apply-templates select="parties"/>
      <signatories>
        <signatory>
          <name />
          <registered-number />
          <electronic-signature date="">
            <enhanced-signature>
              <pkcs7 />
            </enhanced-signature>
          </electronic-signature>
        </signatory>
      </signatories>
      <fee-sheet-trademark lang="" ro="">
        <xsl:attribute name="type-of-mark">
          <xsl:choose>
            <xsl:when test="type-of-mark='商標'">
              <xsl:text>trademark</xsl:text>
            </xsl:when>
            <xsl:when test="type-of-mark='商標(92年修正前服務標章)'">
              <xsl:text>trademark92</xsl:text>
            </xsl:when>
            <xsl:when test="type-of-mark='證明標章'">
              <xsl:text>certification-mark</xsl:text>
            </xsl:when>
            <xsl:when test="type-of-mark='團體標章'">
              <xsl:text>collective-membership-mark</xsl:text>
            </xsl:when>
            <xsl:when test="type-of-mark='團體商標'">
              <xsl:text>collective-trademark</xsl:text>
            </xsl:when>
          </xsl:choose>
        </xsl:attribute>
        <applicant-name>
          <name>
            <xsl:value-of select="fee-sheet/fee-name"/>
          </name>
          <iid>
            <xsl:value-of select="deposit-account/iid"/>
          </iid>
          <registered-number/>
        </applicant-name>
        <prescribed-fees currency=""/>
        <deposit-account>
          <authorization/>
          <ro>
            <country/>
          </ro>
          <account-no>
            <xsl:value-of select="deposit-account/account-no"/>
          </account-no>
          <receipt-type>
            <xsl:value-of select="deposit-account/receipt-type"/>
          </receipt-type>
          <date/>
          <name/>
          <registered-number/>
        </deposit-account>
        <dtext>
          <xsl:value-of select="fee-sheet/fee-dtext"/>
        </dtext>
      </fee-sheet-trademark>      
      <check-list>
        <xsl:apply-templates select="check-list"/>
      </check-list>
      <annotation>
        <dtext>
          <xsl:value-of select="dtext"/>
        </dtext>
        <registration-number>
          <xsl:value-of select="registration-number"/>
        </registration-number>
      </annotation>
      <assessment-item>
        <xsl:copy-of select="cancel-item"/>
        <xsl:copy-of select="assessment-status"/>
        <xsl:copy-of select="majorlaw-assessment"/>
        <xsl:copy-of select="three-years-of-usage-instructions"/>
        <reason>
          <xsl:copy-of select="with-interested"/>
          <xsl:copy-of select="with-reason"/>
        </reason>
        <xsl:copy-of select="related-case"/>
        <xsl:apply-templates select="//subject-of-drawing"/>
        <xsl:apply-templates select="//assessment-of-drawing"/>
      </assessment-item>
    </assessment-trademark-application>
  </xsl:template>

  <xsl:template match="parties">
    <parties>
      <applicants>
        <xsl:apply-templates select="raters"/>
      </applicants>
      <xsl:apply-templates select="correspondence-address"/>
      <agents>
        <xsl:apply-templates select="agent"/>
      </agents>
      <registrants>
        <xsl:apply-templates select="registrant"/>
      </registrants>
    </parties>
  </xsl:template>

  <xsl:template match="raters">
    <applicant>
      <xsl:attribute name="sequence">
        <xsl:number value="position()" format="1"/>
      </xsl:attribute>
      <xsl:choose>
        <xsl:when test="ra-designated-representative='是'">
          <xsl:attribute name="designated-receiver">
            <xsl:value-of  select="translate(ra-designated-representative,'是','y')"/>
          </xsl:attribute>
        </xsl:when>
        <xsl:otherwise>
          <xsl:attribute name="designated-receiver">
            <xsl:text>n</xsl:text>
          </xsl:attribute>
        </xsl:otherwise>
      </xsl:choose>
      <addressbook lang="tw">
        <xsl:choose>
          <xsl:when test="ra-name-type='自然人'">
            <last-name>
              <xsl:value-of select="normalize-space(substring-before(ra-tw-name,','))"/>
            </last-name>
            <first-name>
              <xsl:value-of select="normalize-space(substring-after(ra-tw-name,','))"/>
            </first-name>
          </xsl:when>
          <xsl:otherwise>
            <orgname>
              <xsl:value-of select="normalize-space(ra-tw-comname)"/>
            </orgname>
          </xsl:otherwise>
        </xsl:choose>
        <role>
          <xsl:value-of select="ra-name-type"/>
        </role>
        <iid>
          <xsl:value-of select="ra-tw-iid"/>
        </iid>
        <registered-number/>
        <representative>
          <xsl:value-of select="ra-tw-representative"/>
        </representative>
        <address lang="tw">
          <zip-code>
            <xsl:value-of select="ra-zip-code"/>
          </zip-code>
          <dtext>
            <xsl:value-of select="ra-tw-address"/>
          </dtext>
        </address>
        <phones>
          <phone-region/>
          <phone>
            <xsl:value-of select="ra-tw-phone"/>
          </phone>
        </phones>
        <fax>
          <xsl:value-of select="ra-tw-fax"/>
        </fax>
        <cell-phone>
          <xsl:value-of select="ra-tw-cell-phone"/>
        </cell-phone>
        <email>
          <xsl:value-of select="ra-tw-email"/>
        </email>
      </addressbook>
      <addressbook lang="en">
        <xsl:choose>
          <xsl:when test="ra-name-type='自然人'">
            <last-name>
              <xsl:value-of select="normalize-space(substring-before(ra-en-name,','))"/>
            </last-name>
            <first-name>
              <xsl:value-of select="normalize-space(substring-after(ra-en-name,','))"/>
            </first-name>
          </xsl:when>
          <xsl:otherwise>
            <orgname>
              <xsl:value-of select="normalize-space(ra-en-comname)"/>
            </orgname>
          </xsl:otherwise>
        </xsl:choose>
        <iid>
          <xsl:value-of select="ra-tw-iid"/>
        </iid>
        <registered-number/>
        <representative>
          <xsl:value-of select="ra-en-representative"/>
        </representative>
        <address lang="en">
          <dtext>
            <xsl:value-of select="ra-en-address"/>
          </dtext>
        </address>
        <email/>
      </addressbook>
      <nationality>
        <country>
          <xsl:value-of select="substring(ra-country,'3')"/>
        </country>
        <country-code>
          <xsl:value-of select="substring(ra-country,'1','2')"/>
        </country-code>
      </nationality>
      <residence>
        <country>
          <xsl:value-of select="ra-living-country"/>
        </country>
      </residence>
      <legal-representative lang="tw">
        <addressbook lang="tw">
          <last-name>
            <xsl:value-of select="normalize-space(substring-before(ra-tw-legal-name,','))"/>
          </last-name>
          <first-name>
            <xsl:value-of select="normalize-space(substring-after(ra-tw-legal-name,','))"/>
          </first-name>
          <iid>
            <xsl:value-of select="ra-tw-legal-iid"/>
          </iid>
          <registered-number />
          <address lang="tw">
            <dtext />
          </address>
          <email />
        </addressbook>
      </legal-representative>
    </applicant>
  </xsl:template>

  <xsl:template match="registrant">
    <registrant>
      <xsl:attribute name="sequence">
        <xsl:number value="position()" format="1"/>
      </xsl:attribute>
      <xsl:choose>
        <xsl:when test="re-designated-representative='是'">
          <xsl:attribute name="designated-receiver">
            <xsl:value-of  select="translate(re-designated-representative,'是','y')"/>
          </xsl:attribute>
        </xsl:when>
        <xsl:otherwise>
          <xsl:attribute name="designated-receiver">
            <xsl:text>n</xsl:text>
          </xsl:attribute>
        </xsl:otherwise>
      </xsl:choose>
      <addressbook lang="tw">
        <last-name>
          <xsl:value-of select="normalize-space(substring-before(re-tw-name,','))"/>
        </last-name>
        <first-name>
          <xsl:value-of select="normalize-space(substring-after(re-tw-name,','))"/>
        </first-name>
        <role>
          <xsl:value-of select="re-name-type"/>
        </role>

        <orgname>
          <xsl:value-of select="normalize-space(re-tw-comname)"/>
        </orgname>
        
        <iid>
          <xsl:value-of select="re-tw-iid"/>
        </iid>
        <registered-number/>
        <representative>
          <xsl:value-of select="re-tw-representative"/>
        </representative>
        <address lang="tw">
          <zip-code>
            <xsl:value-of select="re-zip-code"/>
          </zip-code>
          <dtext>
            <xsl:value-of select="re-tw-address"/>
          </dtext>
        </address>
        <phones>
          <phone-region/>
          <phone>
            <xsl:value-of select="re-tw-phone"/>
          </phone>
        </phones>
        <fax>
          <xsl:value-of select="re-tw-fax"/>
        </fax>
        <cell-phone>
          <xsl:value-of select="re-tw-cell-phone"/>
        </cell-phone>
        <email>
          <xsl:value-of select="re-tw-email"/>
        </email>
      </addressbook>
      <addressbook lang="en">

        <last-name>
          <xsl:value-of select="normalize-space(substring-before(re-en-name,','))"/>
        </last-name>
        <first-name>
          <xsl:value-of select="normalize-space(substring-after(re-en-name,','))"/>
        </first-name>
        <orgname>
          <xsl:value-of select="normalize-space(re-en-comname)"/>
        </orgname>

        <iid>
          <xsl:value-of select="re-tw-iid"/>
        </iid>
        <registered-number/>
        <representative>
          <xsl:value-of select="re-en-representative"/>
        </representative>
        <address lang="en">
          <dtext>
            <xsl:value-of select="re-en-address"/>
          </dtext>
        </address>
        <email/>
      </addressbook>
      <nationality>
        <country>
          <xsl:value-of select="substring(re-country,'3')"/>
        </country>
        <country-code>
          <xsl:value-of select="substring(re-country,'1','2')"/>
        </country-code>
      </nationality>
      <undertaker>
        <undertakername>
          <xsl:value-of select="re-tw-undertakername"/>
        </undertakername>
      </undertaker>
    </registrant>
  </xsl:template>

  <xsl:template match="correspondence-address">
    <correspondence-address>
      <addressbook lang="tw">
        <last-name>
          <xsl:value-of select="normalize-space(substring-before(co-tw-name,','))"/>
        </last-name>
        <first-name>
          <xsl:value-of select="normalize-space(substring-after(co-tw-name,','))"/>
        </first-name>
        <iid>
          <xsl:value-of select="co-tw-iid"/>
        </iid>
        <registered-number/>
        <address lang="tw">
          <zip-code>
            <xsl:value-of select="co-zip-code"/>
          </zip-code>
          <dtext>
            <xsl:value-of select="co-tw-address"/>
          </dtext>
        </address>
        <phones>
          <phone-region/>
          <phone>
            <xsl:value-of select="co-tw-phone"/>
          </phone>
        </phones>
        <email/>
      </addressbook>
    </correspondence-address>
  </xsl:template>

  <xsl:template match="agent">
    <agent agent-type="agent" rep-type="agent">
      <xsl:attribute name="sequence">
        <xsl:number value="position()" format="1"/>
      </xsl:attribute>
      <addressbook lang="tw">
        <last-name>
          <xsl:value-of select="normalize-space(substring-before(ag-tw-name,','))"/>
        </last-name>
        <first-name>
          <xsl:value-of select="normalize-space(substring-after(ag-tw-name,','))"/>
        </first-name>
        <iid>
          <xsl:value-of select="ag-tw-iid"/>
        </iid>
        <registered-number/>
        <address lang="tw">
          <zip-code>
            <xsl:value-of select="ag-zip-code"/>
          </zip-code>
          <dtext>
            <xsl:value-of select="ag-tw-address"/>
          </dtext>
        </address>
        <phones>
          <phone-region/>
          <phone>
            <xsl:value-of select="ag-tw-phone"/>
          </phone>
        </phones>
        <fax>
          <xsl:value-of select="ag-tw-fax"/>
        </fax>
        <cell-phone>
          <xsl:value-of select="ag-tw-cell-phone"/>
        </cell-phone>
        <email>
          <xsl:value-of select="ag-tw-email"/>
        </email>
      </addressbook>
      <customer-number>
        <xsl:value-of select="ag-customer-number"/>
      </customer-number>
      <login-number>
        <xsl:value-of select="ag-login-number"/>
      </login-number>
    </agent>
  </xsl:template>

  <xsl:template match="check-list">
    <xsl:apply-templates select="//cl-mark-representation"/>
    <xsl:apply-templates select="international-priority"/>
    <xsl:apply-templates select="international-priority-translation"/>
    <xsl:apply-templates select="atth-exhibition-priority"/>
    <xsl:apply-templates select="atth-exhibition-priority-translation"/>
    <xsl:apply-templates select="cl-org-certificate"/>
    <xsl:apply-templates select="applicant_id_certificate"/>
    <xsl:apply-templates select="power-of-attorney"/>
    <xsl:apply-templates select="power-of-attorney-translation"/>
    <xsl:apply-templates select="get-identification"/>
    <xsl:apply-templates select="representative-doc-collective"/>
    <xsl:apply-templates select="representative-doc"/>
    <xsl:apply-templates select="without-function"/>
    <xsl:apply-templates select="seal-individual"/>
    <xsl:apply-templates select="seal-company"/>
    <xsl:apply-templates select="cl-articles-collective-trademark"/>
    <xsl:apply-templates select="cl-articles-collective-trademark-translation"/>
    <xsl:apply-templates select="cl-articles-membership"/>
    <xsl:apply-templates select="cl-articles-membership-translation"/>
    <xsl:apply-templates select="cl-qualification"/>
    <xsl:apply-templates select="cl-requirement"/>
    <xsl:apply-templates select="cl-deposition"/>
    <xsl:apply-templates select="cl-articles-certification"/>
    <xsl:apply-templates select="cl-articles-certification-translation"/>
    <xsl:apply-templates select="name-certificate"/>
    <xsl:apply-templates select="iid-copy-certificate"/>
    <xsl:apply-templates select="trademark-reason"/>
    <xsl:apply-templates select="seal-certificate"/>
    <xsl:apply-templates select="cl-applications"/>
    <xsl:apply-templates select="contact"/>
    <xsl:apply-templates select="cl-iid-certificate-china"/>
    <xsl:apply-templates select="multimedia"/>
    <xsl:apply-templates select="trademark_sample"/>
    <xsl:apply-templates select="assignment-certificate"/>
    <xsl:apply-templates select="allother-consent"/>
    <xsl:apply-templates select="reauthorization-contracts"/>
    <xsl:apply-templates select="reauthorization-contracts-translation"/>
    <xsl:apply-templates select="reauthorization-agree"/>
    <xsl:apply-templates select="authorization-contracts"/>
    <xsl:apply-templates select="authorization-contracts-translation"/>
    <xsl:apply-templates select="catalog"/>
    <xsl:apply-templates select="receipt"/>
    <xsl:apply-templates select="advertising"/>
    <xsl:apply-templates select="photo"/>
    <xsl:apply-templates select="mail"/>
    <xsl:apply-templates select="declarations"/>
    <xsl:apply-templates select="webPage"/>
    <xsl:apply-templates select="magazine"/>
    <xsl:apply-templates select="media"/>
    <xsl:apply-templates select="registered"/>
    <xsl:apply-templates select="appeal"/>
    <xsl:apply-templates select="cl-other-document"/>
  </xsl:template>

  <xsl:template match="cl-mark-representation">
    <cl-mark-representation add="y" img-format="jpg" >
      <xsl:attribute name="sequence">
        <xsl:number value="position()" format="1"/>
      </xsl:attribute>
      <xsl:attribute name="he">
        <xsl:value-of select="img/@he"/>
      </xsl:attribute>
      <xsl:attribute name="wi">
        <xsl:value-of select="img/@wi"/>
      </xsl:attribute>
      <xsl:attribute name="file">
        <xsl:value-of select="img/@file"/>
      </xsl:attribute>
    </cl-mark-representation>
  </xsl:template>

  <xsl:attribute-set name="Add">
    <xsl:attribute name="add">y</xsl:attribute>
  </xsl:attribute-set>

  <xsl:template match="international-priority | international-priority-translation | atth-exhibition-priority | atth-exhibition-priority-translation | cl-org-certificate | applicant_id_certificate | power-of-attorney | power-of-attorney-translation | get-identification | representative-doc-collective | representative-doc | without-function | seal-individual | seal-company | cl-articles-collective-trademark | cl-articles-collective-trademark-translation | cl-articles-membership | cl-articles-membership-translation | cl-qualification | cl-requirement | cl-deposition | cl-articles-certification | cl-articles-certification-translation | name-certificate | iid-copy-certificate | trademark-reason | seal-certificate | cl-applications | contact | cl-iid-certificate-china | multimedia | trademark_sample | assignment-certificate | allother-consent | reauthorization-contracts | reauthorization-contracts-translation | reauthorization-agree | authorization-contracts | 
  authorization-contracts-translation | catalog | receipt | advertising | photo | mail | declarations | webPage | magazine | media | registered | appeal" >
    <xsl:copy use-attribute-sets="Add">
      <xsl:attribute name="list-seq">
        <xsl:value-of select="@list-seq"/>
      </xsl:attribute>
      <xsl:apply-templates select="*|node()"/>
    </xsl:copy>
  </xsl:template>

  <xsl:template match="cl-other-document">
    <cl-other-document>
      <xsl:attribute name="list-seq">
        <xsl:value-of select="@list-seq"/>
      </xsl:attribute>
      <doc-description>
        <xsl:value-of select="doc-description"/>
      </doc-description>
      <doc-filename>
        <xsl:value-of select="doc-filename"/>
      </doc-filename>
    </cl-other-document>
  </xsl:template>

  <xsl:template match="subject-of-drawing">
    <subject-of-drawing add="y" img-format="jpg" >
      <xsl:attribute name="sequence">
        <xsl:number value="position()" format="1"/>
      </xsl:attribute>
      <xsl:attribute name="he">
        <xsl:value-of select="img/@he"/>
      </xsl:attribute>
      <xsl:attribute name="wi">
        <xsl:value-of select="img/@wi"/>
      </xsl:attribute>
      <xsl:attribute name="file">
        <xsl:value-of select="img/@file"/>
      </xsl:attribute>
    </subject-of-drawing>
  </xsl:template>

  <xsl:template match="assessment-of-drawing">
    <assessment-of-drawing add="y" img-format="jpg" >
      <xsl:attribute name="sequence">
        <xsl:number value="position()" format="1"/>
      </xsl:attribute>
      <xsl:attribute name="he">
        <xsl:value-of select="img/@he"/>
      </xsl:attribute>
      <xsl:attribute name="wi">
        <xsl:value-of select="img/@wi"/>
      </xsl:attribute>
      <xsl:attribute name="file">
        <xsl:value-of select="img/@file"/>
      </xsl:attribute>
    </assessment-of-drawing>
  </xsl:template>
</xsl:stylesheet>
