<?xml version="1.0" encoding="utf-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
  <xsl:output method="xml" indent="yes" doctype-system="DTD/change-register-trademark-application.dtd" encoding="UTF-8"/>
  <xsl:template match="/change-register-trademark-application">
    <change-register-trademark-application receive-num="" receive-date="" dtd-version="2.0.1" application-version="1.0.7" form-version="1.0.6" fee-version="1.0.2"  produced-by="applicant" form-type="n">
      <xsl:attribute name="package-num">
        <xsl:value-of select="package-num"/>
      </xsl:attribute>
      <xsl:attribute name="case-code">
        <xsl:value-of select="case-code"/>
      </xsl:attribute>

      <xsl:attribute name="registration-num">
        <xsl:value-of select="application-num"/>
      </xsl:attribute>

      <xsl:choose>
        <xsl:when test="count(recognizance1)&gt;0">
          <xsl:attribute name="recognizance1">
            <xsl:text>y</xsl:text>
          </xsl:attribute>
        </xsl:when>
        <xsl:otherwise>
          <xsl:attribute name="recognizance1">
            <xsl:text>n</xsl:text>
          </xsl:attribute>
        </xsl:otherwise>
      </xsl:choose>

      <xsl:choose>
        <xsl:when test="count(recognizance2)&gt;0">
          <xsl:attribute name="recognizance2">
            <xsl:text>y</xsl:text>
          </xsl:attribute>
        </xsl:when>
        <xsl:otherwise>
          <xsl:attribute name="recognizance2">
            <xsl:text>n</xsl:text>
          </xsl:attribute>
        </xsl:otherwise>
      </xsl:choose>

      <xsl:choose>
        <xsl:when test="count(recognizance3)&gt;0">
          <xsl:attribute name="recognizance3">
            <xsl:text>y</xsl:text>
          </xsl:attribute>
        </xsl:when>
        <xsl:otherwise>
          <xsl:attribute name="recognizance3">
            <xsl:text>n</xsl:text>
          </xsl:attribute>
        </xsl:otherwise>
      </xsl:choose>
      <xsl:choose>
        <xsl:when test="count(recognizance5)&gt;0">
          <xsl:attribute name="recognizance5">
            <xsl:text>y</xsl:text>
          </xsl:attribute>
        </xsl:when>
        <xsl:otherwise>
          <xsl:attribute name="recognizance5">
            <xsl:text>n</xsl:text>
          </xsl:attribute>
        </xsl:otherwise>
      </xsl:choose>
      <xsl:choose>
        <xsl:when test="count(recognizance7)&gt;0">
          <xsl:attribute name="recognizance7">
            <xsl:text>y</xsl:text>
          </xsl:attribute>
        </xsl:when>
        <xsl:otherwise>
          <xsl:attribute name="recognizance7">
            <xsl:text>n</xsl:text>
          </xsl:attribute>
        </xsl:otherwise>
      </xsl:choose>
      <xsl:choose>
        <xsl:when test="count(recognizance8)&gt;0">
          <xsl:attribute name="recognizance8">
            <xsl:text>y</xsl:text>
          </xsl:attribute>
        </xsl:when>
        <xsl:otherwise>
          <xsl:attribute name="recognizance8">
            <xsl:text>n</xsl:text>
          </xsl:attribute>
        </xsl:otherwise>
      </xsl:choose>

      <xsl:attribute name="application-num">
        <xsl:value-of select="application-num"/>
      </xsl:attribute>
      <xsl:attribute name="type-of-mark">
        <xsl:choose>
          <xsl:when test="type-of-mark='商標'">
            <xsl:text>trademark</xsl:text>
          </xsl:when>
          <xsl:when test="type-of-mark='商標(92年修正前服務標章)'">
            <xsl:text>trademark92</xsl:text>
          </xsl:when>
          <xsl:when test="type-of-mark='證明標章'">
            <xsl:text>certification-mark</xsl:text>
          </xsl:when>
          <xsl:when test="type-of-mark='團體標章'">
            <xsl:text>collective-membership-mark</xsl:text>
          </xsl:when>
          <xsl:when test="type-of-mark='團體商標'">
            <xsl:text>collective-trademark</xsl:text>
          </xsl:when>
        </xsl:choose>
      </xsl:attribute>      
      <file-reference-id>
        <xsl:value-of select="file-reference-id"/>
      </file-reference-id>
      <mark-representation>
        <xsl:copy-of select="denomination"/>
      </mark-representation>
      <!-- <xsl:apply-templates select="parties"/> -->

      <xsl:apply-templates select="parties">
        <xsl:with-param name="retype" select="simpleapplicant/rep-type" />
      </xsl:apply-templates>

      <xsl:apply-templates select="change-item"/>
      <signatories>
        <signatory>
          <name />
          <registered-number />
          <electronic-signature date="">
            <enhanced-signature>
              <pkcs7 />
            </enhanced-signature>
          </electronic-signature>
        </signatory>
      </signatories>
      <fee-sheet-trademark lang="" ro="">
        <xsl:attribute name="type-of-mark">
          <xsl:choose>
            <xsl:when test="type-of-mark='商標'">
              <xsl:text>trademark</xsl:text>
            </xsl:when>
            <xsl:when test="type-of-mark='商標(92年修正前服務標章)'">
              <xsl:text>trademark92</xsl:text>
            </xsl:when>
            <xsl:when test="type-of-mark='證明標章'">
              <xsl:text>certification-mark</xsl:text>
            </xsl:when>
            <xsl:when test="type-of-mark='團體標章'">
              <xsl:text>collective-membership-mark</xsl:text>
            </xsl:when>
            <xsl:when test="type-of-mark='團體商標'">
              <xsl:text>collective-trademark</xsl:text>
            </xsl:when>
          </xsl:choose>
        </xsl:attribute>
        <applicant-name>
          <name>
            <xsl:value-of select="fee-sheet/fee-name"/>
          </name>
          <iid>
            <xsl:value-of select="deposit-account/iid"/>
          </iid>
          <registered-number/>
        </applicant-name>
        <prescribed-fees currency=""/>
        <deposit-account>
          <authorization/>
          <ro>
            <country/>
          </ro>
          <account-no>
            <xsl:value-of select="deposit-account/account-no"/>
          </account-no>
          <receipt-type>
            <xsl:value-of select="deposit-account/receipt-type"/>
          </receipt-type>
          <date/>
          <name/>
          <registered-number/>
        </deposit-account>
        <dtext>
          <xsl:value-of select="fee-sheet/fee-dtext"/>
        </dtext>
      </fee-sheet-trademark>
     
      <check-list>
        <xsl:apply-templates select="check-list"/>
      </check-list>

      <!-- 2013/11/12 申請單編號:045-102-090 ADD BY ALGER -->
      <annotation>
        <dtext>
          <xsl:value-of select="dtext"/>
        </dtext>
        <registration-number>
          <xsl:value-of select="registration-number"/>
        </registration-number>
      </annotation>
      
    </change-register-trademark-application>
  </xsl:template>

  <xsl:template match="parties">
    <parties>
      <applicants>
        <xsl:apply-templates select="applicant"/>
      </applicants>
      <xsl:apply-templates select="correspondence-address"/>
      <agents>
        <xsl:apply-templates select="agent"/>
      </agents>
    </parties>
  </xsl:template>

  <xsl:template match="applicant">
    <applicant>
      <xsl:attribute name="sequence">
        <xsl:number value="position()" format="1"/>
      </xsl:attribute>
      <xsl:choose>
        <xsl:when test="ap-designated-receiver='是'">
          <xsl:attribute name="designated-receiver">
            <xsl:value-of  select="translate(ap-designated-receiver,'是','y')"/>
          </xsl:attribute>
        </xsl:when>
        <xsl:otherwise>
          <xsl:attribute name="designated-receiver">
            <xsl:text>n</xsl:text>
          </xsl:attribute>
        </xsl:otherwise>
      </xsl:choose>

      <xsl:choose>
        <xsl:when test="ap-rep-type='商標(標章)權人'">
          <xsl:attribute name="rep-type">
            <xsl:text>authorizer</xsl:text>
          </xsl:attribute>
        </xsl:when>
        <xsl:when test="ap-rep-type='被授權人'">
          <xsl:attribute name="rep-type">
            <xsl:text>toauthorizer</xsl:text>
          </xsl:attribute>
        </xsl:when>
        <xsl:when test="ap-rep-type='再被授權人'">
          <xsl:attribute name="rep-type">
            <xsl:text>retoauthorizer</xsl:text>
          </xsl:attribute>
        </xsl:when>
        <xsl:when test="ap-rep-type='質權人'">
          <xsl:attribute name="rep-type">
            <xsl:text>unauthorizer</xsl:text>
          </xsl:attribute>
        </xsl:when>
      </xsl:choose>
      
      <addressbook lang="tw">
        <xsl:choose>
          <xsl:when test="ap-name-type='自然人'">
            <last-name>
              <xsl:value-of select="normalize-space(substring-before(ap-tw-name,','))"/>
            </last-name>
            <first-name>
              <xsl:value-of select="normalize-space(substring-after(ap-tw-name,','))"/>
            </first-name>
          </xsl:when>
          <xsl:otherwise>
            <orgname>
              <xsl:value-of select="normalize-space(ap-tw-comname)"/>
            </orgname>     
          </xsl:otherwise>
        </xsl:choose>
        <role>
          <xsl:value-of select="ap-name-type"/>
        </role>
        <iid>
          <xsl:value-of select="ap-tw-iid"/>
        </iid>
        <registered-number/>
        <representative>
          <xsl:value-of select="ap-tw-representative"/>
        </representative>
        <address lang="tw">
          <zip-code>
            <xsl:value-of select="ap-zip-code"/>
          </zip-code>
          <dtext>
            <xsl:value-of select="ap-tw-address"/>
          </dtext>
        </address>
        <phones>
          <phone-region/>
          <phone>
            <xsl:value-of select="ap-tw-phone"/>
          </phone>
        </phones>
        <fax>
          <xsl:value-of select="ap-tw-fax"/>
        </fax>
        <cell-phone>
          <xsl:value-of select="ap-tw-cell-phone"/>
        </cell-phone>
        <email>
          <xsl:value-of select="ap-tw-email"/>
        </email>
      </addressbook>
      <addressbook lang="en">
        <xsl:choose>
          <xsl:when test="ap-name-type='自然人'">
            <last-name>
              <xsl:value-of select="normalize-space(substring-before(ap-en-name,','))"/>
            </last-name>
            <first-name>
              <xsl:value-of select="normalize-space(substring-after(ap-en-name,','))"/>
            </first-name>
          </xsl:when>
          <xsl:otherwise>
            <orgname>
              <xsl:value-of select="normalize-space(ap-en-comname)"/>
            </orgname>
          </xsl:otherwise>
        </xsl:choose>
        <iid>
          <xsl:value-of select="ap-tw-iid"/>
        </iid>
        <registered-number/>
        <representative>
          <xsl:value-of select="ap-en-representative"/>
        </representative>
        <address lang="en">
          <dtext>
            <xsl:value-of select="ap-en-address"/>
          </dtext>
        </address>
        <email/>
      </addressbook>
      <nationality>
        <country>
          <xsl:value-of select="substring(ap-country,'3')"/>
        </country>
        <country-code>
          <xsl:value-of select="substring(ap-country,'1','2')"/>
        </country-code>
      </nationality>
      <residence>
        <country>
          <xsl:value-of select="ap-living-country"/>
        </country>
      </residence>
      <legal-representative lang="tw">
        <addressbook lang="tw">
          <last-name>
            <xsl:value-of select="normalize-space(substring-before(ap-tw-legal-name,','))"/>
          </last-name>
          <first-name>
            <xsl:value-of select="normalize-space(substring-after(ap-tw-legal-name,','))"/>
          </first-name>
          <iid>
            <xsl:value-of select="ap-tw-legal-iid"/>
          </iid>
          <registered-number />
          <address lang="tw">
            <dtext />
          </address>
          <email />
        </addressbook>
      </legal-representative>
    </applicant>
  </xsl:template>

  <xsl:template match="correspondence-address">
    <correspondence-address>
      <addressbook lang="tw">
        <last-name>
          <xsl:value-of select="normalize-space(substring-before(co-tw-name,','))"/>
        </last-name>
        <first-name>
          <xsl:value-of select="normalize-space(substring-after(co-tw-name,','))"/>
        </first-name>
        <iid>
          <xsl:value-of select="co-tw-iid"/>
        </iid>
        <registered-number/>
        <address lang="tw">
          <zip-code>
            <xsl:value-of select="co-zip-code"/>
          </zip-code>
          <dtext>
            <xsl:value-of select="co-tw-address"/>
          </dtext>
        </address>
        <phones>
          <phone-region/>
          <phone>
            <xsl:value-of select="co-tw-phone"/>
          </phone>
        </phones>
        <email/>
      </addressbook>
    </correspondence-address>
  </xsl:template>

  <xsl:template match="agent">
    <agent agent-type="agent" rep-type="agent">
      <xsl:attribute name="sequence">
        <xsl:number value="position()" format="1"/>
      </xsl:attribute>
      <addressbook lang="tw">
        <last-name>
          <xsl:value-of select="normalize-space(substring-before(ag-tw-name,','))"/>
        </last-name>
        <first-name>
          <xsl:value-of select="normalize-space(substring-after(ag-tw-name,','))"/>
        </first-name>
        <iid>
          <xsl:value-of select="ag-tw-iid"/>
        </iid>
        <registered-number/>
        <address lang="tw">
          <zip-code>
            <xsl:value-of select="ag-zip-code"/>
          </zip-code>
          <dtext>
            <xsl:value-of select="ag-tw-address"/>
          </dtext>
        </address>
        <phones>
          <phone-region/>
          <phone>
            <xsl:value-of select="ag-tw-phone"/>
          </phone>
        </phones>
        <fax>
          <xsl:value-of select="ag-tw-fax"/>
        </fax>
        <cell-phone>
          <xsl:value-of select="ag-tw-cell-phone"/>
        </cell-phone>
        <email>
          <xsl:value-of select="ag-tw-email"/>
        </email>
      </addressbook>
      <customer-number>
        <xsl:value-of select="ag-customer-number"/>
      </customer-number>
      <login-number>
        <xsl:value-of select="ag-login-number"/>
      </login-number>
    </agent>
  </xsl:template>

  <xsl:template match="change-item">
    <change-item>
      <change-applicant num="1">
        <xsl:if test="count(change-name)&gt;0">
          <change-name change="y">
            <xsl:value-of select="change-name"/>
          </change-name>
        </xsl:if>
        <xsl:if test="count(change-enname)&gt;0">
          <change-enname change="y">
            <xsl:value-of select="change-enname"/>
          </change-enname>
        </xsl:if>
        <xsl:if test="count(change-sign)&gt;0">
          <change-sign change="y">
            <xsl:value-of select="change-sign"/>
          </change-sign>
        </xsl:if>
        <xsl:if test="count(change-address)&gt;0">
          <change-address change="y">
            <xsl:value-of select="change-address"/>
          </change-address>
        </xsl:if>
        <xsl:if test="count(change-enaddress)&gt;0">
          <change-enaddress change="y">
            <xsl:value-of select="change-enaddress"/>
          </change-enaddress>
        </xsl:if>
        <xsl:if test="count(change-representative-name)&gt;0">
          <change-representative-name change="y">
            <xsl:value-of select="change-representative-name"/>
          </change-representative-name>
        </xsl:if>
        <xsl:if test="count(change-representative-enname)&gt;0">
          <change-representative-enname change="y">
            <xsl:value-of select="change-representative-enname"/>
          </change-representative-enname>
        </xsl:if>
        <xsl:if test="count(change-representative-sign)&gt;0">
          <change-representative-sign change="y">
            <xsl:value-of select="change-representative-sign"/>
          </change-representative-sign>
        </xsl:if>
        <xsl:if test="count(change-representative)&gt;0">
          <change-representative change="y">
            <xsl:value-of select="change-representative"/>
          </change-representative>
        </xsl:if>
      </change-applicant>
      <xsl:if test="count(change-agent)&gt;0">
        <change-agent change="y">
          <xsl:attribute name="type">
            <xsl:choose>
              <xsl:when test="change-agent='變更'">
                <xsl:text>change</xsl:text>
              </xsl:when>
              <xsl:when test="change-agent='新增'">
                <xsl:text>new</xsl:text>
              </xsl:when>
              <xsl:otherwise>
                <xsl:text>remove</xsl:text>
              </xsl:otherwise>
            </xsl:choose>
          </xsl:attribute>
          <xsl:value-of select="change-agent"/>
        </change-agent>
      </xsl:if>
      <xsl:if test="count(change-denomination)&gt;0">
        <change-denomination change="y">
          <xsl:value-of select="change-denomination"/>
        </change-denomination>
      </xsl:if>
      <xsl:if test="count(change-books)&gt;0">
        <change-books change="y">
          <xsl:value-of select="change-books"/>
        </change-books>
      </xsl:if>
      <xsl:if test="count(change-pledgee)&gt;0">
        <change-pledgee change="y">
          <xsl:value-of select="change-pledgee"/>
        </change-pledgee>
      </xsl:if>
      <xsl:if test="count(change-toauthorized)&gt;0">
        <change-toauthorized change="y">
          <xsl:value-of select="change-toauthorized"/>
        </change-toauthorized>
      </xsl:if>
      <xsl:if test="count(change-pledgetrans)&gt;0">
        <change-pledgetrans change="y">
          <xsl:value-of select="change-pledgetrans"/>
        </change-pledgetrans>
      </xsl:if>
    </change-item>
  </xsl:template>

  <xsl:template match="check-list">
    <xsl:apply-templates select="//cl-mark-representation"/>
    <xsl:apply-templates select="//cl-sound-mark"/>
    <xsl:apply-templates select="international-priority"/>
    <xsl:apply-templates select="international-priority-translation"/>
    <xsl:apply-templates select="atth-exhibition-priority"/>
    <xsl:apply-templates select="atth-exhibition-priority-translation"/>
    <xsl:apply-templates select="cl-org-certificate"/>
    <xsl:apply-templates select="applicant_id_certificate"/>
    <xsl:apply-templates select="power-of-attorney"/>
    <xsl:apply-templates select="power-of-attorney-translation"/>
    <xsl:apply-templates select="get-identification"/>
    <xsl:apply-templates select="representative-doc-collective"/>
    <xsl:apply-templates select="representative-doc"/>
    <xsl:apply-templates select="without-function"/>
    <xsl:apply-templates select="seal-individual"/>
    <xsl:apply-templates select="seal-company"/>
    <xsl:apply-templates select="cl-articles-collective-trademark"/>
    <xsl:apply-templates select="cl-articles-collective-trademark-translation"/>
    <xsl:apply-templates select="cl-articles-membership"/>
    <xsl:apply-templates select="cl-articles-membership-translation"/>
    <xsl:apply-templates select="cl-qualification"/>
    <xsl:apply-templates select="cl-requirement"/>
    <xsl:apply-templates select="cl-deposition"/>
    <xsl:apply-templates select="cl-articles-certification"/>
    <xsl:apply-templates select="cl-articles-certification-translation"/>
    <xsl:apply-templates select="cl-articles-serve"/>
    <xsl:apply-templates select="name-certificate"/>
    <xsl:apply-templates select="iid-copy-certificate"/>
    <xsl:apply-templates select="trademark-reason"/>
    <xsl:apply-templates select="seal-certificate"/>
    <xsl:apply-templates select="cl-applications"/>
    <xsl:apply-templates select="contact"/>
    <xsl:apply-templates select="cl-other-document"/>
    <xsl:apply-templates select="cl-iid-certificate-china"/>
    <xsl:apply-templates select="multimedia"/>
    <xsl:apply-templates select="trademark_sample"/>
    <xsl:apply-templates select="assignment-certificate"/>
    <xsl:apply-templates select="allother-consent"/>
    <xsl:apply-templates select="changes-registration"/>
    <xsl:apply-templates select="changes-registration-translation"/>
    <xsl:apply-templates select="account-book"/>
    <xsl:apply-templates select="debt-contract"/>
    <xsl:apply-templates select="debt-contract-translation"/>
    <xsl:apply-templates select="unpaid-debt-contract"/>
    <xsl:apply-templates select="unpaid-debt-contract-translation"/>
    <xsl:apply-templates select="pledgee-death-doc"/>
    <xsl:apply-templates select="pledgee-death-doc-translation"/>
    <xsl:apply-templates select="pledgee-allacount-book"/>
    <xsl:apply-templates select="pledgee-allacount-book-translation"/>
    <xsl:apply-templates select="quality-vested-doc"/>
    <xsl:apply-templates select="quality-vested-doc-translation"/>
    <xsl:apply-templates select="certificate-taxes-paid"/>
    <xsl:apply-templates select="certificate-taxes-unpaid"/>
    <xsl:apply-templates select="taxable-amount-doc"/>
    <xsl:apply-templates select="agree-trans-doc"/>
    <xsl:apply-templates select="gifts-amount-doc"/>
  </xsl:template>

  <xsl:template match="cl-mark-representation">
    <cl-mark-representation add="y" img-format="jpg" >
      <xsl:attribute name="sequence">
        <xsl:number value="position()" format="1"/>
      </xsl:attribute>
      <xsl:attribute name="he">
        <xsl:value-of select="img/@he"/>
      </xsl:attribute>
      <xsl:attribute name="wi">
        <xsl:value-of select="img/@wi"/>
      </xsl:attribute>
      <xsl:attribute name="file">
        <xsl:value-of select="img/@file"/>
      </xsl:attribute>
    </cl-mark-representation>
  </xsl:template>

  <xsl:attribute-set name="Add">
    <xsl:attribute name="add">y</xsl:attribute>
  </xsl:attribute-set>

  <xsl:template match="international-priority | international-priority-translation | atth-exhibition-priority | atth-exhibition-priority-translation | cl-org-certificate | applicant_id_certificate | power-of-attorney | power-of-attorney-translation | get-identification | representative-doc-collective | representative-doc | without-function | seal-individual | seal-company | cl-articles-collective-trademark | cl-articles-collective-trademark-translation | cl-articles-membership | cl-articles-membership-translation | cl-qualification | cl-requirement | cl-deposition | cl-articles-certification | cl-articles-certification-translation | cl-articles-serve | name-certificate | iid-copy-certificate | trademark-reason | seal-certificate | cl-applications | contact | cl-other-document | cl-iid-certificate-china | multimedia | trademark_sample | assignment-certificate | allother-consent | changes-registration | changes-registration-translation | account-book | debt-contract | debt-contract-translation | unpaid-debt-contract | unpaid-debt-contract-translation | pledgee-death-doc | pledgee-death-doc-translation | pledgee-allacount-book | pledgee-allacount-book-translation | quality-vested-doc | quality-vested-doc-translation | certificate-taxes-paid | certificate-taxes-unpaid | taxable-amount-doc | agree-trans-doc | gifts-amount-doc">
      <xsl:copy use-attribute-sets="Add">
        <xsl:attribute name="list-seq">
          <xsl:value-of select="@list-seq"/>
        </xsl:attribute>
        <xsl:apply-templates select="*|node()"/>
    </xsl:copy>
  </xsl:template>

  <xsl:template match="cl-sound-mark">
    <xsl:copy use-attribute-sets="Add">
      <xsl:apply-templates select="*|node()"/>
    </xsl:copy>
  </xsl:template>

  
  <xsl:template match="cl-other-document">
    <cl-other-document>
      <xsl:attribute name="list-seq">
        <xsl:value-of select="@list-seq"/>
      </xsl:attribute>
      <doc-description>
        <xsl:value-of select="doc-description"/>
      </doc-description>
      <doc-filename>
        <xsl:value-of select="doc-filename"/>
      </doc-filename>
    </cl-other-document>
  </xsl:template>

</xsl:stylesheet>
