<?xml version="1.0" encoding="utf-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
  <xsl:output method="xml" indent="yes" doctype-system="DTD/trademark-application.dtd" encoding="UTF-8"/>
  <xsl:template match="/color-mark-application">
    <trademark-application receive-num="" receive-date="" dtd-version="2.0.1" application-version="1.0.7" form-version="1.0.6" fee-version="1.0.2" application-num="" produced-by="applicant">
      <xsl:attribute name="case-code">
        <xsl:value-of select="case-code"/>
      </xsl:attribute>

      <xsl:choose>
        <xsl:when test="count(recognizance1)&gt;0">
          <xsl:attribute name="recognizance1">
            <xsl:text>y</xsl:text>
          </xsl:attribute>
        </xsl:when>
        <xsl:otherwise>
          <xsl:attribute name="recognizance1">
            <xsl:text>n</xsl:text>
          </xsl:attribute>
        </xsl:otherwise>
      </xsl:choose>

      <xsl:choose>
        <xsl:when test="count(recognizance2)&gt;0">
          <xsl:attribute name="recognizance2">
            <xsl:text>y</xsl:text>
          </xsl:attribute>
        </xsl:when>
        <xsl:otherwise>
          <xsl:attribute name="recognizance2">
            <xsl:text>n</xsl:text>
          </xsl:attribute>
        </xsl:otherwise>
      </xsl:choose>

      <xsl:choose>
        <xsl:when test="count(recognizance3)&gt;0">
          <xsl:attribute name="recognizance3">
            <xsl:text>y</xsl:text>
          </xsl:attribute>
        </xsl:when>
        <xsl:otherwise>
          <xsl:attribute name="recognizance3">
            <xsl:text>n</xsl:text>
          </xsl:attribute>
        </xsl:otherwise>
      </xsl:choose>
      <xsl:choose>
        <xsl:when test="count(recognizance5)&gt;0">
          <xsl:attribute name="recognizance5">
            <xsl:text>y</xsl:text>
          </xsl:attribute>
        </xsl:when>
        <xsl:otherwise>
          <xsl:attribute name="recognizance5">
            <xsl:text>n</xsl:text>
          </xsl:attribute>
        </xsl:otherwise>
      </xsl:choose>
      <xsl:choose>
        <xsl:when test="count(recognizance7)&gt;0">
          <xsl:attribute name="recognizance7">
            <xsl:text>y</xsl:text>
          </xsl:attribute>
        </xsl:when>
        <xsl:otherwise>
          <xsl:attribute name="recognizance7">
            <xsl:text>n</xsl:text>
          </xsl:attribute>
        </xsl:otherwise>
      </xsl:choose>
      <xsl:choose>
        <xsl:when test="count(recognizance8)&gt;0">
          <xsl:attribute name="recognizance8">
            <xsl:text>y</xsl:text>
          </xsl:attribute>
        </xsl:when>
        <xsl:otherwise>
          <xsl:attribute name="recognizance8">
            <xsl:text>n</xsl:text>
          </xsl:attribute>
        </xsl:otherwise>
      </xsl:choose>

      <file-reference-id>
        <xsl:value-of select="file-reference-id"/>
      </file-reference-id>
      <mark-representation>
        <xsl:attribute name="color">
          <xsl:choose>
            <xsl:when test="color='墨色'">
              <xsl:text>black-and-white</xsl:text>
            </xsl:when>
            <xsl:when test="color='彩色'">
              <xsl:text>colorful</xsl:text>
            </xsl:when>
          </xsl:choose>
        </xsl:attribute>
        <xsl:attribute name="mark-representation-type">
          <xsl:text>color-mark</xsl:text>
        </xsl:attribute>
        <xsl:copy-of select="denomination"/>
        <xsl:apply-templates select="content"/>
        <xsl:apply-templates select="mark-representation"/>
        <xsl:copy-of select="disclaimer"/>
      </mark-representation>
      <xsl:apply-templates select="parties"/>
      <priority-claims>
        <xsl:apply-templates select="priority-claim"/>
      </priority-claims>
      <exhibition-priority-claims>
      <xsl:apply-templates select="exhibition-priority-claim"/>
      </exhibition-priority-claims>
      <goodsandservicelist>
        <xsl:apply-templates select="goodsandservicelist"/>
      </goodsandservicelist>
      <signatories>
        <signatory>
          <name />
          <registered-number />
          <electronic-signature date="">
            <enhanced-signature>
              <pkcs7 />
            </enhanced-signature>
          </electronic-signature>
        </signatory>
      </signatories>
      <fee-sheet-trademark lang="" ro="">
        <applicant-name>
          <name>
            <xsl:value-of select="/color-mark-application/fee-sheet/fee-name"/>
          </name>
          <iid>
            <xsl:value-of select="/color-mark-application/deposit-account/iid"/>
          </iid>
          <registered-number/>
        </applicant-name>
        <prescribed-fees currency=""/>
        <deposit-account>
          <authorization/>
          <ro>
            <country/>
          </ro>
          <account-no>
            <xsl:value-of select="/color-mark-application/deposit-account/account-no"/>
          </account-no>
          <receipt-type>
            <xsl:value-of select="/color-mark-application/deposit-account/receipt-type"/>
          </receipt-type>
          <date/>
          <name/>
          <registered-number/>
        </deposit-account>
        <dtext>
          <xsl:value-of select="/color-mark-application/fee-sheet/fee-dtext"/>
        </dtext>
      </fee-sheet-trademark>     
      <check-list>
        <xsl:apply-templates select="check-list"/>
      </check-list>
      <annotation>
        <dtext>
          <xsl:value-of select="dtext"/>
        </dtext>
        <registration-number>
          <xsl:value-of select="registration-number"/>
        </registration-number>
      </annotation>
    </trademark-application>
  </xsl:template>

  <xsl:template match="content">
    <content>
      <xsl:apply-templates select="tw-literal-element"/>
      <xsl:apply-templates select="en-literal-element"/>
      <xsl:copy-of select="figure"/>
      <xsl:copy-of select="sign"/>
    </content>
  </xsl:template>

  <xsl:template match="tw-literal-element">
    <literal-element lang="tw">
      <text>
        <xsl:value-of select="."/>
      </text>
    </literal-element>
  </xsl:template>

  <xsl:template match="en-literal-element">
    <literal-element>
      <xsl:attribute name="lang">
        <xsl:value-of select="lang"/>
      </xsl:attribute>
      <xsl:copy-of select="text"/>
      <xsl:copy-of select="translation"/>
    </literal-element>
  </xsl:template>

    <xsl:template match="description">
    <description>
      <dtext>
        <xsl:value-of select="."/>
      </dtext>
    </description>
  </xsl:template>
  
  <xsl:template match="parties">
    <parties>
      <applicants>
        <xsl:apply-templates select="applicant"/>
      </applicants>
      <xsl:apply-templates select="correspondence-address"/>
      <agents>
        <xsl:apply-templates select="agent"/>
      </agents>
    </parties>
  </xsl:template>

  <xsl:template match="applicant">
    <applicant>
      <xsl:attribute name="sequence">
        <xsl:number value="position()" format="1"/>
      </xsl:attribute>
      <xsl:choose>
        <xsl:when test="ap-designated-representative='是'">
          <xsl:attribute name="designated-receiver">
            <xsl:value-of  select="translate(ap-designated-representative,'是','y')"/>
          </xsl:attribute>
        </xsl:when>
        <xsl:otherwise>
          <xsl:attribute name="designated-receiver">
            <xsl:text>n</xsl:text>
          </xsl:attribute>
        </xsl:otherwise>
      </xsl:choose>
      <addressbook lang="tw">
        <xsl:choose>
          <xsl:when test="ap-name-type='自然人'">
            <last-name>
              <xsl:value-of select="normalize-space(substring-before(ap-tw-name,','))"/>
            </last-name>
            <first-name>
              <xsl:value-of select="normalize-space(substring-after(ap-tw-name,','))"/>
            </first-name>
          </xsl:when>
          <xsl:otherwise>
            <orgname>
              <xsl:value-of select="normalize-space(ap-tw-comname)"/>
            </orgname>     
          </xsl:otherwise>
        </xsl:choose>
        <role>
          <xsl:value-of select="ap-name-type"/>
        </role>
        <iid>
          <xsl:value-of select="ap-tw-iid"/>
        </iid>
        <registered-number/>
        <representative>
          <xsl:value-of select="ap-tw-representative"/>
        </representative>
        <address lang="tw">
          <zip-code>
            <xsl:value-of select="ap-zip-code"/>
          </zip-code>
          <dtext>
            <xsl:value-of select="ap-tw-address"/>
          </dtext>
        </address>
        <phones>
          <phone-region/>
          <phone>
            <xsl:value-of select="ap-tw-phone"/>
          </phone>
        </phones>
        <fax>
          <xsl:value-of select="ap-tw-fax"/>
        </fax>
        <cell-phone>
          <xsl:value-of select="ap-tw-cell-phone"/>
        </cell-phone>
        <email>
          <xsl:value-of select="ap-tw-email"/>
        </email>
      </addressbook>
      <addressbook lang="en">
        <xsl:choose>
          <xsl:when test="ap-name-type='自然人'">
            <last-name>
              <xsl:value-of select="normalize-space(substring-before(ap-en-name,','))"/>
            </last-name>
            <first-name>
              <xsl:value-of select="normalize-space(substring-after(ap-en-name,','))"/>
            </first-name>
          </xsl:when>
          <xsl:otherwise>
            <orgname>
              <xsl:value-of select="normalize-space(ap-en-comname)"/>
            </orgname>
          </xsl:otherwise>
        </xsl:choose>
        <iid>
          <xsl:value-of select="ap-tw-iid"/>
        </iid>
        <registered-number/>
        <representative>
          <xsl:value-of select="ap-en-representative"/>
        </representative>
        <address lang="en">
          <dtext>
            <xsl:value-of select="ap-en-address"/>
          </dtext>
        </address>
        <email/>
      </addressbook>
      <nationality>
        <country>
          <xsl:value-of select="substring(ap-country,'3')"/>
        </country>
        <country-code>
          <xsl:value-of select="substring(ap-country,'1','2')"/>
        </country-code>
      </nationality>
      <residence>
        <country>
          <xsl:value-of select="ap-living-country"/>
        </country>
      </residence>
      <legal-representative lang="tw">
        <addressbook lang="tw">
          <last-name>
            <xsl:value-of select="normalize-space(substring-before(ap-tw-legal-name,','))"/>
          </last-name>
          <first-name>
            <xsl:value-of select="normalize-space(substring-after(ap-tw-legal-name,','))"/>
          </first-name>
          <iid>
            <xsl:value-of select="ap-tw-legal-iid"/>
          </iid>
          <registered-number />
          <address lang="tw">
            <dtext />
          </address>
          <email />
        </addressbook>
      </legal-representative>
    </applicant>
  </xsl:template>

  <xsl:template match="correspondence-address">
    <correspondence-address>
      <addressbook lang="tw">
        <last-name>
          <xsl:value-of select="normalize-space(substring-before(co-tw-name,','))"/>
        </last-name>
        <first-name>
          <xsl:value-of select="normalize-space(substring-after(co-tw-name,','))"/>
        </first-name>
        <iid>
          <xsl:value-of select="co-tw-iid"/>
        </iid>
        <registered-number/>
        <address lang="tw">
          <zip-code>
            <xsl:value-of select="co-zip-code"/>
          </zip-code>
          <dtext>
            <xsl:value-of select="co-tw-address"/>
          </dtext>
        </address>
        <phones>
          <phone-region/>
          <phone>
            <xsl:value-of select="co-tw-phone"/>
          </phone>
        </phones>
        <email/>
      </addressbook>
    </correspondence-address>
  </xsl:template>

  <xsl:template match="agent">
    <agent agent-type="agent" rep-type="agent">
      <xsl:attribute name="sequence">
        <xsl:number value="position()" format="1"/>
      </xsl:attribute>
      <addressbook lang="tw">
        <last-name>
          <xsl:value-of select="normalize-space(substring-before(ag-tw-name,','))"/>
        </last-name>
        <first-name>
          <xsl:value-of select="normalize-space(substring-after(ag-tw-name,','))"/>
        </first-name>
        <iid>
          <xsl:value-of select="ag-tw-iid"/>
        </iid>
        <registered-number/>
        <address lang="tw">
          <zip-code>
            <xsl:value-of select="ag-zip-code"/>
          </zip-code>
          <dtext>
            <xsl:value-of select="ag-tw-address"/>
          </dtext>
        </address>
        <phones>
          <phone-region/>
          <phone>
            <xsl:value-of select="ag-tw-phone"/>
          </phone>
        </phones>
        <fax>
          <xsl:value-of select="ag-tw-fax"/>
        </fax>
        <cell-phone>
          <xsl:value-of select="ag-tw-cell-phone"/>
        </cell-phone>
        <email>
          <xsl:value-of select="ag-tw-email"/>
        </email>
      </addressbook>
      <customer-number>
        <xsl:value-of select="ag-customer-number"/>
      </customer-number>
    </agent>
  </xsl:template>

  <xsl:template match="priority-claim">
    <priority-claim declared="y">
      <xsl:choose>
        <xsl:when test="pcountry = 'TW中華民國'">
          <xsl:attribute name="kind">national</xsl:attribute>
        </xsl:when>
        <xsl:otherwise>
          <xsl:attribute name="kind">international</xsl:attribute>
        </xsl:otherwise>
      </xsl:choose>
      <xsl:attribute name="sequence">
        <xsl:number value="position()" format="1"/>
      </xsl:attribute>
      <country>
        <xsl:value-of select="pcountry"/>
      </country>
      <date>
        <xsl:value-of select="pdate"/>
      </date>
      <doc-number>
        <xsl:choose>
          <xsl:when test="pdoc-number='後補'">
            <xsl:text></xsl:text>
          </xsl:when>
          <xsl:otherwise>
            <xsl:value-of select="pdoc-number"/>
          </xsl:otherwise>
        </xsl:choose>
      </doc-number>
    </priority-claim>
  </xsl:template>

  <xsl:template match="exhibition-priority-claim">
    <exhibition-priority-claim  declared="y" kind="international">
      <xsl:attribute name="sequence">
        <xsl:number value="position()" format="1"/>
      </xsl:attribute>
      <country>
        <xsl:value-of select="ecountry"/>
      </country>
      <exhibition-priority-date>
        <xsl:value-of select="edate"/>
      </exhibition-priority-date>
      <exhibition-name>
        <xsl:value-of select="ename"/>
      </exhibition-name>
    </exhibition-priority-claim>
  </xsl:template>

  <xsl:template match="goodsandservicelist">
    <goodsandservice>
      <xsl:attribute name="classnumber">
        <xsl:value-of select="classnumber"/>
      </xsl:attribute>
      <xsl:attribute name="sequence">
        <xsl:number value="position()" format="01"/>
      </xsl:attribute>
      <xsl:attribute name="groupcode">
        <xsl:value-of select="groupcode"/>
      </xsl:attribute>
      <xsl:call-template name="split">
        <xsl:with-param name="list"  select="items" />
        <xsl:with-param name="sequence"  select="1" />
      </xsl:call-template>
    </goodsandservice>
  </xsl:template>

  <xsl:template name="split">
    <xsl:param name="list" />
    <xsl:param name="sequence" />
    <xsl:variable name="separator">；</xsl:variable>

    <xsl:if test="not($list = '')">
      <xsl:variable name="head" select="substring-before(concat($list, $separator), $separator)" />
      <xsl:variable name="tail" select="substring-after($list, $separator)" />

      <items items-type="non-reference-name">
        <xsl:attribute name="sequence">
          <xsl:value-of select="$sequence" />
        </xsl:attribute>
        <xsl:value-of select="$head"/>
      </items>

      <xsl:call-template name="split">
        <xsl:with-param name="list" select="$tail" />
        <xsl:with-param name="sequence" select="$sequence+1" />
      </xsl:call-template>
    </xsl:if>
  </xsl:template>
  
  <xsl:template match="check-list">
    <xsl:apply-templates select="//cl-mark-representation"/>
    <xsl:apply-templates select="international-priority"/>
    <xsl:apply-templates select="international-priority-translation"/>
    <xsl:apply-templates select="atth-exhibition-priority"/>
    <xsl:apply-templates select="atth-exhibition-priority-translation"/>
    <xsl:apply-templates select="cl-org-certificate"/>
    <xsl:apply-templates select="applicant_id_certificate"/>
    <xsl:apply-templates select="power-of-attorney"/>
    <xsl:apply-templates select="power-of-attorney-translation"/>
    <xsl:apply-templates select="get-identification"/>
    <xsl:apply-templates select="representative-doc-collective"/>
    <xsl:apply-templates select="representative-doc"/>
    <xsl:apply-templates select="without-function"/>
    <xsl:apply-templates select="seal-individual"/>
    <xsl:apply-templates select="seal-company"/>
    <xsl:apply-templates select="cl-articles-collective-trademark"/>
    <xsl:apply-templates select="cl-articles-collective-trademark-translation"/>
    <xsl:apply-templates select="cl-articles-membership"/>
    <xsl:apply-templates select="cl-articles-membership-translation"/>
    <xsl:apply-templates select="cl-qualification"/>
    <xsl:apply-templates select="cl-requirement"/>
    <xsl:apply-templates select="cl-deposition"/>
    <xsl:apply-templates select="cl-articles-certification"/>
    <xsl:apply-templates select="cl-articles-certification-translation"/>
    <xsl:apply-templates select="name-certificate"/>
    <xsl:apply-templates select="iid-copy-certificate"/>
    <xsl:apply-templates select="trademark-reason"/>
    <xsl:apply-templates select="seal-certificate"/>
    <xsl:apply-templates select="cl-applications"/>
    <xsl:apply-templates select="contact"/>
    <xsl:apply-templates select="cl-iid-certificate-china"/>
    <xsl:apply-templates select="multimedia"/>
    <xsl:apply-templates select="trademark_sample"/>
    <xsl:apply-templates select="assignment-certificate"/>
    <xsl:apply-templates select="allother-consent"/>
    <xsl:apply-templates select="cl-other-document"/>
  </xsl:template>

  <xsl:template match="cl-mark-representation">
    <cl-mark-representation add="y" img-format="jpg" >
      <xsl:attribute name="sequence">
        <xsl:number value="position()" format="1"/>
      </xsl:attribute>
      <xsl:attribute name="he">
        <xsl:value-of select="img/@he"/>
      </xsl:attribute>
      <xsl:attribute name="wi">
        <xsl:value-of select="img/@wi"/>
      </xsl:attribute>
      <xsl:attribute name="file">
        <xsl:value-of select="img/@file"/>
      </xsl:attribute>
    </cl-mark-representation>
  </xsl:template>

  <xsl:attribute-set name="Add">
    <xsl:attribute name="add">y</xsl:attribute>
  </xsl:attribute-set>

  <xsl:template match="international-priority | international-priority-translation | atth-exhibition-priority | atth-exhibition-priority-translation | cl-org-certificate | applicant_id_certificate | power-of-attorney | power-of-attorney-translation | get-identification | representative-doc-collective | representative-doc | without-function | seal-individual | seal-company | cl-articles-collective-trademark | cl-articles-collective-trademark-translation | cl-articles-membership | cl-articles-membership-translation | cl-qualification | cl-requirement | cl-deposition | cl-articles-certification | cl-articles-certification-translation | name-certificate | iid-copy-certificate | trademark-reason | seal-certificate | cl-applications | contact | cl-iid-certificate-china | multimedia | trademark_sample | assignment-certificate | allother-consent">
    <xsl:copy use-attribute-sets="Add">
      <xsl:attribute name="list-seq">
        <xsl:value-of select="@list-seq"/>
      </xsl:attribute>
      <xsl:apply-templates select="*|node()"/>
    </xsl:copy>
  </xsl:template>

  <xsl:template match="cl-other-document">
    <cl-other-document>
      <xsl:attribute name="list-seq">
        <xsl:value-of select="@list-seq"/>
      </xsl:attribute>
      <doc-description>
        <xsl:value-of select="doc-description"/>
      </doc-description>
      <doc-filename>
        <xsl:value-of select="doc-filename"/>
      </doc-filename>
    </cl-other-document>
  </xsl:template>

  <xsl:template match="good | packing | shape | business-related">
    <xsl:copy>
      <xsl:attribute name="not-be-long">
        <xsl:choose>
          <xsl:when test="good='是'">
            <xsl:text>n</xsl:text>
          </xsl:when>
          <xsl:otherwise>
            <xsl:text>y</xsl:text>
          </xsl:otherwise>
        </xsl:choose>
      </xsl:attribute>
      </xsl:copy>
  </xsl:template>
  
  <xsl:template match="mark-representation">
    <description>
      <dtext>
        <xsl:value-of select="description"/>
      </dtext>
      <dotted-line>
        <xsl:apply-templates select="good"/>
        <xsl:apply-templates select="packing"/>
        <xsl:apply-templates select="shape"/>
        <xsl:apply-templates select="business-related"/>
      </dotted-line>
    </description>
  </xsl:template>
  <xsl:template match="annotation">
    <dtext>
      <xsl:value-of select="dtext"/>
    </dtext>
    <registration-number>
      <xsl:value-of select="registration-number"/>
    </registration-number>
  </xsl:template>
</xsl:stylesheet>
