<?xml version="1.0" encoding="utf-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
  <xsl:output method="xml" indent="yes" doctype-system="DTD/authorize-trademark-application.dtd" encoding="UTF-8"/>
  <xsl:template match="/cancel-reauthorize-trademark-application">
    <authorize-trademark-application receive-num="" receive-date="" dtd-version="2.0.1" application-version="1.0.7" form-version="1.0.6" fee-version="1.0.2"  produced-by="applicant" form-type="n">
      <xsl:attribute name="package-num">
        <xsl:value-of select="package-num"/>
      </xsl:attribute>
      <xsl:attribute name="case-code">
        <xsl:value-of select="case-code"/>
      </xsl:attribute>

      <xsl:attribute name="registration-num">
        <xsl:value-of select="application-num"/>
      </xsl:attribute>

      <xsl:choose>
        <xsl:when test="count(recognizance1)&gt;0">
          <xsl:attribute name="recognizance1">
            <xsl:text>y</xsl:text>
          </xsl:attribute>
        </xsl:when>
        <xsl:otherwise>
          <xsl:attribute name="recognizance1">
            <xsl:text>n</xsl:text>
          </xsl:attribute>
        </xsl:otherwise>
      </xsl:choose>

      <xsl:choose>
        <xsl:when test="count(recognizance2)&gt;0">
          <xsl:attribute name="recognizance2">
            <xsl:text>y</xsl:text>
          </xsl:attribute>
        </xsl:when>
        <xsl:otherwise>
          <xsl:attribute name="recognizance2">
            <xsl:text>n</xsl:text>
          </xsl:attribute>
        </xsl:otherwise>
      </xsl:choose>

      <xsl:choose>
        <xsl:when test="count(recognizance3)&gt;0">
          <xsl:attribute name="recognizance3">
            <xsl:text>y</xsl:text>
          </xsl:attribute>
        </xsl:when>
        <xsl:otherwise>
          <xsl:attribute name="recognizance3">
            <xsl:text>n</xsl:text>
          </xsl:attribute>
        </xsl:otherwise>
      </xsl:choose>
      <xsl:choose>
        <xsl:when test="count(recognizance5)&gt;0">
          <xsl:attribute name="recognizance5">
            <xsl:text>y</xsl:text>
          </xsl:attribute>
        </xsl:when>
        <xsl:otherwise>
          <xsl:attribute name="recognizance5">
            <xsl:text>n</xsl:text>
          </xsl:attribute>
        </xsl:otherwise>
      </xsl:choose>
      <xsl:choose>
        <xsl:when test="count(recognizance7)&gt;0">
          <xsl:attribute name="recognizance7">
            <xsl:text>y</xsl:text>
          </xsl:attribute>
        </xsl:when>
        <xsl:otherwise>
          <xsl:attribute name="recognizance7">
            <xsl:text>n</xsl:text>
          </xsl:attribute>
        </xsl:otherwise>
      </xsl:choose>
      <xsl:choose>
        <xsl:when test="count(recognizance8)&gt;0">
          <xsl:attribute name="recognizance8">
            <xsl:text>y</xsl:text>
          </xsl:attribute>
        </xsl:when>
        <xsl:otherwise>
          <xsl:attribute name="recognizance8">
            <xsl:text>n</xsl:text>
          </xsl:attribute>
        </xsl:otherwise>
      </xsl:choose>

      <xsl:attribute name="application-num">
        <xsl:value-of select="application-num"/>
      </xsl:attribute>
      <xsl:attribute name="type-of-mark">
        <xsl:choose>
          <xsl:when test="type-of-mark='商標'">
            <xsl:text>trademark</xsl:text>
          </xsl:when>
          <xsl:when test="type-of-mark='商標(92年修正前服務標章)'">
            <xsl:text>trademark92</xsl:text>
          </xsl:when>
          <xsl:when test="type-of-mark='證明標章'">
            <xsl:text>certification-mark</xsl:text>
          </xsl:when>
          <xsl:when test="type-of-mark='團體標章'">
            <xsl:text>collective-membership-mark</xsl:text>
          </xsl:when>
          <xsl:when test="type-of-mark='團體商標'">
            <xsl:text>collective-trademark</xsl:text>
          </xsl:when>
        </xsl:choose>
      </xsl:attribute>
      <file-reference-id>
        <xsl:value-of select="file-reference-id"/>
      </file-reference-id>
      <mark-representation>
        <xsl:copy-of select="denomination"/>
        <xsl:copy-of select="disclaimer"/>
      </mark-representation>
      <type-of-apply>
        <xsl:attribute name="kind">
          <xsl:choose>
            <xsl:when test="type-of-apply='授權人(原授權登記案之被授權人)'">
              <xsl:text>authorizer</xsl:text>
            </xsl:when>
            <xsl:otherwise>
              <xsl:text>toauthorizer</xsl:text>
            </xsl:otherwise>
          </xsl:choose>
        </xsl:attribute>
        <xsl:value-of select="type-of-apply"/>
      </type-of-apply>
      <xsl:apply-templates select="parties"/>
      <xsl:copy-of select="cancel-reauthorize-date"/>
      <signatories>
        <signatory>
          <name />
          <registered-number />
          <electronic-signature date="">
            <enhanced-signature>
              <pkcs7 />
            </enhanced-signature>
          </electronic-signature>
        </signatory>
      </signatories>
      <fee-sheet-trademark lang="" ro="">
        <xsl:attribute name="type-of-mark">
          <xsl:choose>
            <xsl:when test="type-of-mark='商標'">
              <xsl:text>trademark</xsl:text>
            </xsl:when>
            <xsl:when test="type-of-mark='商標(92年修正前服務標章)'">
              <xsl:text>trademark92</xsl:text>
            </xsl:when>
            <xsl:when test="type-of-mark='證明標章'">
              <xsl:text>certification-mark</xsl:text>
            </xsl:when>
            <xsl:when test="type-of-mark='團體標章'">
              <xsl:text>collective-membership-mark</xsl:text>
            </xsl:when>
            <xsl:when test="type-of-mark='團體商標'">
              <xsl:text>collective-trademark</xsl:text>
            </xsl:when>
          </xsl:choose>
        </xsl:attribute>
        <applicant-name>
          <name>
            <xsl:value-of select="fee-sheet/fee-name"/>
          </name>
          <iid>
            <xsl:value-of select="deposit-account/iid"/>
          </iid>
          <registered-number/>
        </applicant-name>
        <prescribed-fees currency=""/>
        <deposit-account>
          <authorization/>
          <ro>
            <country/>
          </ro>
          <account-no>
            <xsl:value-of select="deposit-account/account-no"/>
          </account-no>
          <receipt-type>
            <xsl:value-of select="deposit-account/receipt-type"/>
          </receipt-type>
          <date/>
          <name/>
          <registered-number/>
        </deposit-account>
        <dtext>
          <xsl:value-of select="fee-sheet/fee-dtext"/>
        </dtext>
      </fee-sheet-trademark>
      
      <check-list>
        <xsl:apply-templates select="check-list"/>
      </check-list>

      <!-- 2013/11/12 申請單編號:045-102-090 ADD BY ALGER -->
      <annotation>
        <dtext>
          <xsl:value-of select="dtext"/>
        </dtext>
        <registration-number>
          <xsl:value-of select="registration-number"/>
        </registration-number>
      </annotation>
      
    </authorize-trademark-application>
  </xsl:template>

  <xsl:template match="parties">
    <parties>
      <authorizeds>
        <xsl:apply-templates select="authorized"/>
      </authorizeds>
      <authorized-agents>
        <xsl:apply-templates select="agent-authorized"/>
      </authorized-agents>
      <xsl:apply-templates select="correspondence-address"/>
      <toauthorizeds>
        <xsl:apply-templates select="toauthorized"/>
      </toauthorizeds>
      <toauthorized-agents>
        <xsl:apply-templates select="agent-toauthorized"/>
      </toauthorized-agents>
    </parties>
  </xsl:template>

  <xsl:template match="authorized">
    <authorized>
      <xsl:attribute name="sequence">
        <xsl:number value="position()" format="1"/>
      </xsl:attribute>
      <xsl:choose>
        <xsl:when test="au-designated-representative='是'">
          <xsl:attribute name="designated-receiver">
            <xsl:value-of  select="translate(au-designated-representative,'是','y')"/>
          </xsl:attribute>
        </xsl:when>
        <xsl:otherwise>
          <xsl:attribute name="designated-receiver">
            <xsl:text>n</xsl:text>
          </xsl:attribute>
        </xsl:otherwise>
      </xsl:choose>
      <addressbook lang="tw">
        <xsl:choose>
          <xsl:when test="au-name-type='自然人'">
            <last-name>
              <xsl:value-of select="normalize-space(substring-before(au-tw-name,','))"/>
            </last-name>
            <first-name>
              <xsl:value-of select="normalize-space(substring-after(au-tw-name,','))"/>
            </first-name>
          </xsl:when>
          <xsl:otherwise>
            <orgname>
              <xsl:value-of select="normalize-space(au-tw-comname)"/>
            </orgname>
          </xsl:otherwise>
        </xsl:choose>
        <role>
          <xsl:value-of select="au-name-type"/>
        </role>
        <iid>
          <xsl:value-of select="au-tw-iid"/>
        </iid>
        <registered-number/>
        <representative>
          <xsl:value-of select="au-tw-representative"/>
        </representative>
        <address lang="tw">
          <zip-code>
            <xsl:value-of select="au-zip-code"/>
          </zip-code>
          <dtext>
            <xsl:value-of select="au-tw-address"/>
          </dtext>
        </address>
        <phones>
          <phone-region/>
          <phone>
            <xsl:value-of select="au-tw-phone"/>
          </phone>
        </phones>
        <fax>
          <xsl:value-of select="au-tw-fax"/>
        </fax>
        <cell-phone>
          <xsl:value-of select="au-tw-cell-phone"/>
        </cell-phone>
        <email>
          <xsl:value-of select="au-tw-email"/>
        </email>
      </addressbook>
      <addressbook lang="en">
        <xsl:choose>
          <xsl:when test="au-name-type='自然人'">
            <last-name>
              <xsl:value-of select="normalize-space(substring-before(au-en-name,','))"/>
            </last-name>
            <first-name>
              <xsl:value-of select="normalize-space(substring-after(au-en-name,','))"/>
            </first-name>
          </xsl:when>
          <xsl:otherwise>
            <orgname>
              <xsl:value-of select="normalize-space(au-en-comname)"/>
            </orgname>
          </xsl:otherwise>
        </xsl:choose>
        <iid>
          <xsl:value-of select="au-tw-iid"/>
        </iid>
        <registered-number/>
        <representative>
          <xsl:value-of select="au-en-representative"/>
        </representative>
        <address lang="en">
          <dtext>
            <xsl:value-of select="au-en-address"/>
          </dtext>
        </address>
        <email/>
      </addressbook>
      <nationality>
        <country>
          <xsl:value-of select="substring(au-country,'3')"/>
        </country>
        <country-code>
          <xsl:value-of select="substring(au-country,'1','2')"/>
        </country-code>
      </nationality>
      <residence>
        <country>
          <xsl:value-of select="au-living-country"/>
        </country>
      </residence>
      <legal-representative lang="tw">
        <addressbook lang="tw">
          <last-name>
            <xsl:value-of select="normalize-space(substring-before(au-tw-legal-name,','))"/>
          </last-name>
          <first-name>
            <xsl:value-of select="normalize-space(substring-after(au-tw-legal-name,','))"/>
          </first-name>
          <iid>
            <xsl:value-of select="au-tw-legal-iid"/>
          </iid>
          <registered-number />
          <address lang="tw">
            <dtext />
          </address>
          <email />
        </addressbook>
      </legal-representative>
    </authorized>
  </xsl:template>

  <xsl:template match="toauthorized">
    <toauthorized>
      <xsl:attribute name="sequence">
        <xsl:number value="position()" format="1"/>
      </xsl:attribute>
      <xsl:choose>
        <xsl:when test="toau-designated-representative='是'">
          <xsl:attribute name="designated-receiver">
            <xsl:value-of  select="translate(toau-designated-representative,'是','y')"/>
          </xsl:attribute>
        </xsl:when>
        <xsl:otherwise>
          <xsl:attribute name="designated-receiver">
            <xsl:text>n</xsl:text>
          </xsl:attribute>
        </xsl:otherwise>
      </xsl:choose>
      <addressbook lang="tw">
        <xsl:choose>
          <xsl:when test="toau-name-type='自然人'">
            <last-name>
              <xsl:value-of select="normalize-space(substring-before(toau-tw-name,','))"/>
            </last-name>
            <first-name>
              <xsl:value-of select="normalize-space(substring-after(toau-tw-name,','))"/>
            </first-name>
          </xsl:when>
          <xsl:otherwise>
            <orgname>
              <xsl:value-of select="normalize-space(toau-tw-comname)"/>
            </orgname>
          </xsl:otherwise>
        </xsl:choose>
        <role>
          <xsl:value-of select="toau-name-type"/>
        </role>
        <iid>
          <xsl:value-of select="toau-tw-iid"/>
        </iid>
        <registered-number/>
        <representative>
          <xsl:value-of select="toau-tw-representative"/>
        </representative>
        <address lang="tw">
          <zip-code>
            <xsl:value-of select="toau-zip-code"/>
          </zip-code>
          <dtext>
            <xsl:value-of select="toau-tw-address"/>
          </dtext>
        </address>
        <phones>
          <phone-region/>
          <phone>
            <xsl:value-of select="toau-tw-phone"/>
          </phone>
        </phones>
        <fax>
          <xsl:value-of select="toau-tw-fax"/>
        </fax>
        <cell-phone>
          <xsl:value-of select="toau-tw-cell-phone"/>
        </cell-phone>
        <email>
          <xsl:value-of select="toau-tw-email"/>
        </email>
      </addressbook>
      <addressbook lang="en">
        <xsl:choose>
          <xsl:when test="toau-name-type='自然人'">
            <last-name>
              <xsl:value-of select="normalize-space(substring-before(toau-en-name,','))"/>
            </last-name>
            <first-name>
              <xsl:value-of select="normalize-space(substring-after(toau-en-name,','))"/>
            </first-name>
          </xsl:when>
          <xsl:otherwise>
            <orgname>
              <xsl:value-of select="normalize-space(toau-en-comname)"/>
            </orgname>
          </xsl:otherwise>
        </xsl:choose>
        <iid>
          <xsl:value-of select="toau-tw-iid"/>
        </iid>
        <registered-number/>
        <representative>
          <xsl:value-of select="toau-en-representative"/>
        </representative>
        <address lang="en">
          <dtext>
            <xsl:value-of select="toau-en-address"/>
          </dtext>
        </address>
        <email/>
      </addressbook>
      <nationality>
        <country>
          <xsl:value-of select="substring(toau-country,'3')"/>
        </country>
        <country-code>
          <xsl:value-of select="substring(toau-country,'1','2')"/>
        </country-code>
      </nationality>
      <residence>
        <country>
          <xsl:value-of select="toau-living-country"/>
        </country>
      </residence>
      <legal-representative lang="tw">
        <addressbook lang="tw">
          <last-name>
            <xsl:value-of select="normalize-space(substring-before(toau-tw-legal-name,','))"/>
          </last-name>
          <first-name>
            <xsl:value-of select="normalize-space(substring-after(toau-tw-legal-name,','))"/>
          </first-name>
          <iid>
            <xsl:value-of select="toau-tw-legal-iid"/>
          </iid>
          <registered-number />
          <address lang="tw">
            <dtext />
          </address>
          <email />
        </addressbook>
      </legal-representative>
    </toauthorized>
  </xsl:template>

  <xsl:template match="correspondence-address">
    <correspondence-address>
      <addressbook lang="tw">
        <last-name>
          <xsl:value-of select="normalize-space(substring-before(co-tw-name,','))"/>
        </last-name>
        <first-name>
          <xsl:value-of select="normalize-space(substring-after(co-tw-name,','))"/>
        </first-name>
        <iid>
          <xsl:value-of select="co-tw-iid"/>
        </iid>
        <registered-number/>
        <address lang="tw">
          <zip-code>
            <xsl:value-of select="co-zip-code"/>
          </zip-code>
          <dtext>
            <xsl:value-of select="co-tw-address"/>
          </dtext>
        </address>
        <phones>
          <phone-region/>
          <phone>
            <xsl:value-of select="co-tw-phone"/>
          </phone>
        </phones>
        <email/>
      </addressbook>
    </correspondence-address>
  </xsl:template>

  <xsl:template match="agent-authorized">
    <xsl:choose>
      <xsl:when test="agau-tw-iid='P800138717' or agau-tw-iid='P999999999'">
      </xsl:when>
      <xsl:otherwise>
    <authorized-agent agent-type="agent" rep-type="agent">
      <xsl:attribute name="sequence">
        <xsl:number value="position()" format="1"/>
      </xsl:attribute>
      <addressbook lang="tw">
        <last-name>
          <xsl:value-of select="normalize-space(substring-before(agau-tw-name,','))"/>
        </last-name>
        <first-name>
          <xsl:value-of select="normalize-space(substring-after(agau-tw-name,','))"/>
        </first-name>
        <iid>
          <xsl:value-of select="agau-tw-iid"/>
        </iid>
        <registered-number/>
        <address lang="tw">
          <zip-code>
            <xsl:value-of select="agau-zip-code"/>
          </zip-code>
          <dtext>
            <xsl:value-of select="agau-tw-address"/>
          </dtext>
        </address>
        <phones>
          <phone-region/>
          <phone>
            <xsl:value-of select="agau-tw-phone"/>
          </phone>
        </phones>
        <fax>
          <xsl:value-of select="agau-tw-fax"/>
        </fax>
        <cell-phone>
          <xsl:value-of select="agau-tw-cell-phone"/>
        </cell-phone>
        <email>
          <xsl:value-of select="agau-tw-email"/>
        </email>
      </addressbook>
      <customer-number>
        <xsl:value-of select="agau-customer-number"/>
      </customer-number>
      <login-number>
        <xsl:value-of select="agau-login-number"/>
      </login-number>
    </authorized-agent>
      </xsl:otherwise>
    </xsl:choose>
  </xsl:template>

  <xsl:template match="agent-toauthorized">
    <xsl:choose>
      <xsl:when test="agtoau-tw-iid='P800138717' or agtoau-tw-iid='P999999999'">
      </xsl:when>
      <xsl:otherwise>
    <toauthorized-agent agent-type="agent" rep-type="agent">
      <xsl:attribute name="sequence">
        <xsl:number value="position()" format="1"/>
      </xsl:attribute>
      <addressbook lang="tw">
        <last-name>
          <xsl:value-of select="normalize-space(substring-before(agtoau-tw-name,','))"/>
        </last-name>
        <first-name>
          <xsl:value-of select="normalize-space(substring-after(agtoau-tw-name,','))"/>
        </first-name>
        <iid>
          <xsl:value-of select="agtoau-tw-iid"/>
        </iid>
        <registered-number/>
        <address lang="tw">
          <zip-code>
            <xsl:value-of select="agtoau-zip-code"/>
          </zip-code>
          <dtext>
            <xsl:value-of select="agtoau-tw-address"/>
          </dtext>
        </address>
        <phones>
          <phone-region/>
          <phone>
            <xsl:value-of select="agtoau-tw-phone"/>
          </phone>
        </phones>
        <fax>
          <xsl:value-of select="agtoau-tw-fax"/>
        </fax>
        <cell-phone>
          <xsl:value-of select="agtoau-tw-cell-phone"/>
        </cell-phone>
        <email>
          <xsl:value-of select="agtoau-tw-email"/>
        </email>
      </addressbook>
      <customer-number>
        <xsl:value-of select="agtoau-customer-number"/>
      </customer-number>
      <login-number>
        <xsl:value-of select="agtoau-login-number"/>
      </login-number>
    </toauthorized-agent>
      </xsl:otherwise>
    </xsl:choose>
  </xsl:template>

  <xsl:template match="authorize-item">
    <xsl:copy-of select="startdate"/>
    <xsl:copy-of select="enddate"/>
    <xsl:copy-of select="kind"/>
    <xsl:copy-of select="area"/>
    <goodsandservicelist>
      <xsl:choose>
        <xsl:when test ="count(goodsandservicelist/allgoods)&gt;0">
          <allgoods type="y"/>
        </xsl:when>
        <xsl:otherwise>
          <allgoods type="n"/>
        </xsl:otherwise>
      </xsl:choose>
      <xsl:choose>
        <xsl:when test ="count(goodsandservicelist/partgoods)&gt;0">
          <partgoods type="y">
            <xsl:apply-templates select="goodsandservicelist/partgoods"/>
          </partgoods>
        </xsl:when>
        <xsl:otherwise>
          <partgoods type="n"/>
        </xsl:otherwise>
      </xsl:choose>
    </goodsandservicelist>
  </xsl:template>

  <xsl:template match="partgoods">
    <goodsandservice>
      <xsl:attribute name="classnumber">
        <xsl:value-of select="classnumber"/>
      </xsl:attribute>
      <xsl:attribute name="sequence">
        <xsl:number value="position()" format="01"/>
      </xsl:attribute>
      <xsl:attribute name="groupcode">
        <xsl:value-of select="groupcode"/>
      </xsl:attribute>
      <xsl:call-template name="split">
        <xsl:with-param name="list"  select="items" />
        <xsl:with-param name="sequence"  select="1" />
      </xsl:call-template>
    </goodsandservice>
  </xsl:template>

  <xsl:template name="split">
    <xsl:param name="list" />
    <xsl:param name="sequence" />
    <xsl:variable name="separator">；</xsl:variable>

    <xsl:if test="not($list = '')">
      <xsl:variable name="head" select="substring-before(concat($list, $separator), $separator)" />
      <xsl:variable name="tail" select="substring-after($list, $separator)" />

      <items items-type="non-reference-name">
        <xsl:attribute name="sequence">
          <xsl:value-of select="$sequence" />
        </xsl:attribute>
        <xsl:value-of select="$head"/>
      </items>

      <xsl:call-template name="split">
        <xsl:with-param name="list" select="$tail" />
        <xsl:with-param name="sequence" select="$sequence+1" />
      </xsl:call-template>
    </xsl:if>
  </xsl:template>

  <xsl:template match="check-list">
    <xsl:apply-templates select="//cl-mark-representation"/>
    <xsl:apply-templates select="//cl-sound-mark"/>
    <xsl:apply-templates select="international-priority"/>
    <xsl:apply-templates select="international-priority-translation"/>
    <xsl:apply-templates select="atth-exhibition-priority"/>
    <xsl:apply-templates select="atth-exhibition-priority-translation"/>
    <xsl:apply-templates select="cl-org-certificate"/>
    <xsl:apply-templates select="applicant_id_certificate"/>
    <xsl:apply-templates select="power-of-attorney"/>
    <xsl:apply-templates select="power-of-attorney-translation"/>
    <xsl:apply-templates select="get-identification"/>
    <xsl:apply-templates select="representative-doc-collective"/>
    <xsl:apply-templates select="representative-doc"/>
    <xsl:apply-templates select="without-function"/>
    <xsl:apply-templates select="seal-individual"/>
    <xsl:apply-templates select="seal-company"/>
    <xsl:apply-templates select="cl-articles-collective-trademark"/>
    <xsl:apply-templates select="cl-articles-collective-trademark-translation"/>
    <xsl:apply-templates select="cl-articles-membership"/>
    <xsl:apply-templates select="cl-articles-membership-translation"/>
    <xsl:apply-templates select="cl-qualification"/>
    <xsl:apply-templates select="cl-requirement"/>
    <xsl:apply-templates select="cl-deposition"/>
    <xsl:apply-templates select="cl-articles-certification"/>
    <xsl:apply-templates select="cl-articles-certification-translation"/>
    <xsl:apply-templates select="name-certificate"/>
    <xsl:apply-templates select="iid-copy-certificate"/>
    <xsl:apply-templates select="trademark-reason"/>
    <xsl:apply-templates select="seal-certificate"/>
    <xsl:apply-templates select="cl-applications"/>
    <xsl:apply-templates select="contact"/>
    <xsl:apply-templates select="cl-other-document"/>
    <xsl:apply-templates select="cl-iid-certificate-china"/>
    <xsl:apply-templates select="multimedia"/>
    <xsl:apply-templates select="trademark_sample"/>
    <xsl:apply-templates select="assignment-certificate"/>
    <xsl:apply-templates select="allother-consent"/>
    <xsl:apply-templates select="cancel-reauthorization-contracts"/>
    <xsl:apply-templates select="cancel-reauthorization-contracts-translation"/> 
    
  </xsl:template>

  <xsl:template match="cl-mark-representation">
    <cl-mark-representation add="y" img-format="jpg" >
      <xsl:attribute name="sequence">
        <xsl:number value="position()" format="1"/>
      </xsl:attribute>
      <xsl:attribute name="he">
        <xsl:value-of select="img/@he"/>
      </xsl:attribute>
      <xsl:attribute name="wi">
        <xsl:value-of select="img/@wi"/>
      </xsl:attribute>
      <xsl:attribute name="file">
        <xsl:value-of select="img/@file"/>
      </xsl:attribute>
    </cl-mark-representation>
  </xsl:template>

  <xsl:attribute-set name="Add">
    <xsl:attribute name="add">y</xsl:attribute>
  </xsl:attribute-set>

  <xsl:template match=" international-priority | international-priority-translation | atth-exhibition-priority | atth-exhibition-priority-translation | cl-org-certificate | applicant_id_certificate | power-of-attorney | power-of-attorney-translation | get-identification | representative-doc-collective | representative-doc | without-function | seal-individual | seal-company | cl-articles-collective-trademark | cl-articles-collective-trademark-translation | cl-articles-membership | cl-articles-membership-translation | cl-qualification | cl-requirement | cl-deposition | cl-articles-certification | cl-articles-certification-translation | name-certificate | iid-copy-certificate | trademark-reason | seal-certificate | cl-applications | contact | cl-other-document | cl-iid-certificate-china | multimedia | trademark_sample | assignment-certificate | allother-consent | cancel-reauthorization-contracts | cancel-reauthorization-contracts-translation">
    <xsl:copy use-attribute-sets="Add">
      <xsl:attribute name="list-seq">
        <xsl:value-of select="@list-seq"/>
      </xsl:attribute>
      <xsl:apply-templates select="*|node()"/>
    </xsl:copy>
  </xsl:template>

  <xsl:template match="cl-sound-mark">
    <xsl:copy use-attribute-sets="Add">
      <xsl:apply-templates select="*|node()"/>
    </xsl:copy>
  </xsl:template>

  <xsl:template match="cl-other-document">
    <cl-other-document>
      <xsl:attribute name="list-seq">
        <xsl:value-of select="@list-seq"/>
      </xsl:attribute>
      <doc-description>
        <xsl:value-of select="doc-description"/>
      </doc-description>
      <doc-filename>
        <xsl:value-of select="doc-filename"/>
      </doc-filename>
    </cl-other-document>
  </xsl:template>

</xsl:stylesheet>
