<?xml version="1.0" encoding="utf-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
  <xsl:output method="xml" indent="yes" doctype-system="DTD/supplement-amendment.dtd" encoding="UTF-8"/>
  <xsl:template match="/supplement-amendment">
    <supplement-amendment receive-num="" receive-date="" dtd-version="2.0.1" application-version="1.0.7" form-version="1.0.6" fee-version="1.0.2" application-num="" status="a" produced-by="applicant">
      <xsl:attribute name="application-num">
        <xsl:value-of select="application-num"/>
      </xsl:attribute>
      <xsl:choose>
        <xsl:when test="type-of-patent='發明'">
          <xsl:attribute name="type-of-patent">invention</xsl:attribute>
        </xsl:when>
        <xsl:when test="type-of-patent='新型'">
          <xsl:attribute name="type-of-patent">utility</xsl:attribute>
        </xsl:when>
        <xsl:otherwise>
          <xsl:attribute name="type-of-patent">design</xsl:attribute>
        </xsl:otherwise>
      </xsl:choose>
      <xsl:choose>
        <xsl:when test="count(recognizance3)&gt;0">
          <xsl:attribute name="recognizance3">
            <xsl:text>y</xsl:text>
          </xsl:attribute>
        </xsl:when>
        <xsl:otherwise>
          <xsl:attribute name="recognizance3">
            <xsl:text>n</xsl:text>
          </xsl:attribute>
        </xsl:otherwise>
      </xsl:choose>
      <xsl:choose>
        <xsl:when test="count(recognizance4)&gt;0">
          <xsl:attribute name="recognizance4">
            <xsl:text>y</xsl:text>
          </xsl:attribute>
        </xsl:when>
        <xsl:otherwise>
          <xsl:attribute name="recognizance4">
            <xsl:text>n</xsl:text>
          </xsl:attribute>
        </xsl:otherwise>
      </xsl:choose>
      <xsl:choose>
        <xsl:when test="count(recognizance5)&gt;0">
          <xsl:attribute name="recognizance5">
            <xsl:text>y</xsl:text>
          </xsl:attribute>
        </xsl:when>
        <xsl:otherwise>
          <xsl:attribute name="recognizance5">
            <xsl:text>n</xsl:text>
          </xsl:attribute>
        </xsl:otherwise>
      </xsl:choose>
      <xsl:choose>
        <xsl:when test="count(recognizance6)&gt;0">
          <xsl:attribute name="recognizance6">
            <xsl:text>y</xsl:text>
          </xsl:attribute>
        </xsl:when>
        <xsl:otherwise>
          <xsl:attribute name="recognizance6">
            <xsl:text>n</xsl:text>
          </xsl:attribute>
        </xsl:otherwise>
      </xsl:choose>
      <xsl:choose>
        <xsl:when test="count(recognizance5)&gt;0">
          <xsl:attribute name="recognizance5">
            <xsl:text>y</xsl:text>
          </xsl:attribute>
        </xsl:when>
        <xsl:otherwise>
          <xsl:attribute name="recognizance5">
            <xsl:text>n</xsl:text>
          </xsl:attribute>
        </xsl:otherwise>
      </xsl:choose>
      <xsl:choose>
        <xsl:when test="count(recognizance6)&gt;0">
          <xsl:attribute name="recognizance6">
            <xsl:text>y</xsl:text>
          </xsl:attribute>
        </xsl:when>
        <xsl:otherwise>
          <xsl:attribute name="recognizance6">
            <xsl:text>n</xsl:text>
          </xsl:attribute>
        </xsl:otherwise>
      </xsl:choose>
      <xsl:choose>
        <xsl:when test="check-list/contact='未變更本案基本資料'">
          <xsl:attribute name="with-contact">
            <xsl:text>n</xsl:text>
          </xsl:attribute>
        </xsl:when>
        <xsl:otherwise>
          <xsl:attribute name="with-contact">
            <xsl:text>y</xsl:text>
          </xsl:attribute>
        </xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates select="basis"/>
      <xsl:copy-of select="case-code"/>
      <file-reference-id>
        <xsl:value-of select="file-reference-id"/>
      </file-reference-id>
      <xsl:apply-templates select="patent-title-tw"/>
      <xsl:apply-templates select="patent-title-en"/>
      <xsl:apply-templates select="parties"/>

      <!-- 2013/11/12 申請單編號:045-102-090 ADD BY ALGER -->
      <annotation>
        <dtext>
          <xsl:value-of select="dtext"/>
        </dtext>
      </annotation>
      
      <check-list>
        <xsl:apply-templates select="check-list"/>
      </check-list>
      <fee-sheet lang="" file="" ro="">
        <applicant-name>
          <name>
            <xsl:value-of select="fee-sheet/fee-name"/>
          </name>
          <iid>
            <xsl:value-of select="deposit-account/iid"/>
          </iid>
          <registered-number/>
        </applicant-name>
        <prescribed-fees currency="">
          <amendment-fee>
            <amount-total>
              <xsl:value-of select="opt-claim07/claim07-amount-total"/>
            </amount-total>
            <amount-refund>
              <xsl:value-of select="opt-claim07/claim07-amount-refund"/>
            </amount-refund>
            <basic />
            <add-fee type="" />
            <reduction type="" />
            <payment-mode />
          </amendment-fee>
        </prescribed-fees>
        <number-of-claims>
          <item-of-independent />
          <item-of-dependent />
          <item-of-prev>
            <xsl:value-of select="opt-claim07/claim07-item-of-prev"/>
          </item-of-prev>
          <item-of-add>
            <xsl:value-of select="opt-claim07/claim07-item-of-add"/>
          </item-of-add>
          <item-of-erase>
            <xsl:value-of select="opt-claim07/claim07-item-of-erase"/>
          </item-of-erase>
          <item-of-total>
            <xsl:value-of select="opt-claim07/claim07-item-of-total"/>
          </item-of-total>
        </number-of-claims>
        <total-pages-fees currency="">
          <total-pages-amendment-fee>
            <fee-add>
              <xsl:value-of select="total-pages-changefee/fee-add"/>
            </fee-add>
            <fee-refund>
              <xsl:value-of select="total-pages-changefee/fee-refund"/>
            </fee-refund>
          </total-pages-amendment-fee>
        </total-pages-fees>
        <number-of-total-pages>
          <total-pages-prev>
            <xsl:value-of select="total-pages-changefee/total-pages-prev"/>
          </total-pages-prev>
          <total-pages-after>
            <xsl:value-of select="total-pages-changefee/total-pages-after"/>
          </total-pages-after>
          <total-pages-add>
            <xsl:value-of select="total-pages-changefee7/total-pages-add"/>
          </total-pages-add>
          <total-pages-delete>
            <xsl:value-of select="total-pages-changefee/total-pages-delete"/>
          </total-pages-delete>
        </number-of-total-pages>
        <deposit-account>
          <authorization/>
          <ro>
            <country/>
          </ro>
          <account-no>
            <xsl:value-of select="deposit-account/account-no"/>
          </account-no>
          <receipt-type>
            <xsl:value-of select="deposit-account/receipt-type"/>
          </receipt-type>
          <date/>
          <name/>
          <registered-number/>
        </deposit-account>
        <dtext>
          <xsl:value-of select="fee-sheet/fee-dtext"/>
        </dtext>
      </fee-sheet>
      <change-item>
        <xsl:apply-templates select="change-item"/>
      </change-item>
      <xsl:apply-templates select="specification-item"/>
    </supplement-amendment>
  </xsl:template>

  <xsl:template match="patent-title-tw">
    <invention-title lang="tw">
      <xsl:value-of select="."/>
    </invention-title>
  </xsl:template>

  <xsl:template match="patent-title-en">
    <invention-title lang="en">
      <xsl:value-of select="."/>
    </invention-title>
  </xsl:template>

  <xsl:template match="parties">
    <parties>
      <applicants>
        <xsl:choose>
          <xsl:when test="//contact='未變更本案基本資料'">
            <xsl:apply-templates select="//simpleapplicant"/>
          </xsl:when>
          <xsl:otherwise>
            <xsl:apply-templates select="applicant"/>
          </xsl:otherwise>
        </xsl:choose>
      </applicants>
      <xsl:apply-templates select="correspondence-address"/>
      <agents>
        <xsl:choose>
          <xsl:when test="//contact='未變更本案基本資料'">
            <xsl:apply-templates select="//simpleagent"/>
          </xsl:when>
          <xsl:otherwise>
            <xsl:apply-templates select="agent"/>
          </xsl:otherwise>
        </xsl:choose>
      </agents>
    </parties>
  </xsl:template>

  <xsl:template match="applicant">
    <applicant>
      <xsl:attribute name="sequence">
        <xsl:number value="position()" format="1"/>
      </xsl:attribute>
      <xsl:choose>
        <xsl:when test="ap-designated-receiver='是'">
          <xsl:attribute name="designated-receiver">
            <xsl:value-of  select="translate(ap-designated-receiver,'是','y')"/>
          </xsl:attribute>
        </xsl:when>
        <xsl:otherwise>
          <xsl:attribute name="designated-receiver">
            <xsl:text>n</xsl:text>
          </xsl:attribute>
        </xsl:otherwise>
      </xsl:choose>
      <addressbook lang="tw">
        <xsl:choose>
          <xsl:when test="ap-name-type='自然人'">
            <last-name>
              <xsl:value-of select="normalize-space(substring-before(ap-tw-name,','))"/>
            </last-name>
            <first-name>
              <xsl:value-of select="normalize-space(substring-after(ap-tw-name,','))"/>
            </first-name>
          </xsl:when>
          <xsl:otherwise>
            <orgname>
              <xsl:value-of select="normalize-space(ap-tw-comname)"/>
            </orgname>     
          </xsl:otherwise>
        </xsl:choose>
        <role>
          <xsl:value-of select="ap-name-type"/>
        </role>
        <iid>
          <xsl:value-of select="ap-tw-iid"/>
        </iid>
        <registered-number/>
        <representative>
          <xsl:value-of select="ap-tw-representative"/>
        </representative>
        <address lang="tw">
          <zip-code>
            <xsl:value-of select="ap-zip-code"/>
          </zip-code>
          <dtext>
            <xsl:value-of select="ap-tw-address"/>
          </dtext>
        </address>
        <phones>
          <phone-region/>
          <phone>
            <xsl:value-of select="ap-tw-phone"/>
          </phone>
        </phones>
        <fax>
          <xsl:value-of select="ap-tw-fax"/>
        </fax>
        <cell-phone>
          <xsl:value-of select="ap-tw-cell-phone"/>
        </cell-phone>
        <email>
          <xsl:value-of select="ap-tw-email"/>
        </email>
      </addressbook>
      <addressbook lang="en">
        <xsl:choose>
          <xsl:when test="ap-name-type='自然人'">
            <last-name>
              <xsl:value-of select="normalize-space(substring-before(ap-en-name,','))"/>
            </last-name>
            <first-name>
              <xsl:value-of select="normalize-space(substring-after(ap-en-name,','))"/>
            </first-name>
          </xsl:when>
          <xsl:otherwise>
            <orgname>
              <xsl:value-of select="normalize-space(ap-en-comname)"/>
            </orgname>
          </xsl:otherwise>
        </xsl:choose>
        <iid>
          <xsl:value-of select="ap-tw-iid"/>
        </iid>
        <registered-number/>
        <representative>
          <xsl:value-of select="ap-en-representative"/>
        </representative>
        <address lang="en">
          <dtext>
            <xsl:value-of select="ap-en-address"/>
          </dtext>
        </address>
        <email/>
      </addressbook>
      <nationality>
        <country>
          <xsl:value-of select="substring(ap-country,'3')"/>
        </country>
        <country-code>
          <xsl:value-of select="substring(ap-country,'1','2')"/>
        </country-code>
      </nationality>
      <residence>
        <country>
          <xsl:value-of select="ap-living-country"/>
        </country>
      </residence>
      <legal-representative lang="tw">
        <addressbook lang="tw">
          <last-name>
            <xsl:value-of select="normalize-space(substring-before(ap-tw-legal-name,','))"/>
          </last-name>
          <first-name>
            <xsl:value-of select="normalize-space(substring-after(ap-tw-legal-name,','))"/>
          </first-name>
          <iid>
            <xsl:value-of select="ap-tw-legal-iid"/>
          </iid>
          <registered-number />
          <address lang="tw">
            <dtext />
          </address>
          <email />
        </addressbook>
      </legal-representative>
    </applicant>
  </xsl:template>
  <xsl:template match="simpleapplicant">
    <applicant>
      <xsl:attribute name="sequence">
        <xsl:number value="position()" format="1"/>
      </xsl:attribute>
      <xsl:attribute name="designated-receiver">
        <xsl:text>n</xsl:text>
      </xsl:attribute>
      <addressbook lang="tw">
        <xsl:choose>
          <xsl:when test="count(simpleap-tw-name)&gt;0">
            <last-name>
              <xsl:value-of select="normalize-space(substring-before(simpleap-tw-name,','))"/>
            </last-name>
            <first-name>
              <xsl:value-of select="normalize-space(substring-after(simpleap-tw-name,','))"/>
            </first-name>
          </xsl:when>
          <xsl:otherwise>
            <orgname>
              <xsl:value-of select="normalize-space(simpleap-tw-comname)"/>
            </orgname>
          </xsl:otherwise>
        </xsl:choose>
        <role/>
        <iid/>
        <registered-number />
        <representative />
        <address lang="tw">
          <zip-code/>
          <dtext />
        </address>
        <phones>
          <phone-region />
          <phone />
        </phones>
        <fax />
        <cell-phone />
        <email />
      </addressbook>
      <addressbook lang="en">
        <xsl:choose>
          <xsl:when test="count(simpleap-en-name)&gt;0">
            <last-name>
              <xsl:value-of select="normalize-space(substring-before(simpleap-en-name,','))"/>
            </last-name>
            <first-name>
              <xsl:value-of select="normalize-space(substring-after(simpleap-en-name,','))"/>
            </first-name>
          </xsl:when>
          <xsl:otherwise>
            <orgname>
              <xsl:value-of select="normalize-space(simpleap-en-comname)"/>
            </orgname>
          </xsl:otherwise>
        </xsl:choose>
        <iid/>
        <registered-number />
        <representative />
        <address lang="en">
          <dtext />
        </address>
        <email />
      </addressbook>
      <nationality>
        <country>
          <xsl:value-of select="substring(simpleap-country,'3')"/>
        </country>
        <country-code>
          <xsl:value-of select="substring(simpleap-country,'1','2')"/>
        </country-code>
      </nationality>
      <residence>
        <country />
      </residence>
      <legal-representative lang="tw">
        <addressbook lang="tw">
          <last-name />
          <first-name />
          <iid />
          <registered-number />
          <address lang="tw">
            <dtext />
          </address>
          <email />
        </addressbook>
      </legal-representative>
    </applicant>
  </xsl:template>

  <xsl:template match="correspondence-address">
    <correspondence-address>
      <addressbook lang="tw">
        <last-name>
          <xsl:value-of select="normalize-space(substring-before(co-tw-name,','))"/>
        </last-name>
        <first-name>
          <xsl:value-of select="normalize-space(substring-after(co-tw-name,','))"/>
        </first-name>
        <iid>
          <xsl:value-of select="co-tw-iid"/>
        </iid>
        <registered-number/>
        <address lang="tw">
          <zip-code>
            <xsl:value-of select="co-zip-code"/>
          </zip-code>
          <dtext>
            <xsl:value-of select="co-tw-address"/>
          </dtext>
        </address>
        <phones>
          <phone-region/>
          <phone>
            <xsl:value-of select="co-tw-phone"/>
          </phone>
        </phones>
        <email/>
      </addressbook>
    </correspondence-address>
  </xsl:template>

  <xsl:template match="agent">
    <agent agent-type="agent" rep-type="agent">
      <xsl:attribute name="sequence">
        <xsl:number value="position()" format="1"/>
      </xsl:attribute>
      <addressbook lang="tw">
        <last-name>
          <xsl:value-of select="normalize-space(substring-before(ag-tw-name,','))"/>
        </last-name>
        <first-name>
          <xsl:value-of select="normalize-space(substring-after(ag-tw-name,','))"/>
        </first-name>
        <iid>
          <xsl:value-of select="ag-tw-iid"/>
        </iid>
        <registered-number/>
        <address lang="tw">
          <zip-code>
            <xsl:value-of select="ag-zip-code"/>
          </zip-code>
          <dtext>
            <xsl:value-of select="ag-tw-address"/>
          </dtext>
        </address>
        <phones>
          <phone-region/>
          <phone>
            <xsl:value-of select="ag-tw-phone"/>
          </phone>
        </phones>
        <fax>
          <xsl:value-of select="ag-tw-fax"/>
        </fax>
        <cell-phone>
          <xsl:value-of select="ag-tw-cell-phone"/>
        </cell-phone>
        <email>
          <xsl:value-of select="ag-tw-email"/>
        </email>
      </addressbook>
      <customer-number>
        <xsl:value-of select="ag-customer-number"/>
      </customer-number>
    </agent>
  </xsl:template>
  <xsl:template match="simpleagent">
    <agent agent-type="agent" rep-type="agent">
      <xsl:attribute name="sequence">
        <xsl:number value="position()" format="1"/>
      </xsl:attribute>
      <addressbook lang="tw">
        <last-name>
          <xsl:value-of select="normalize-space(substring-before(simpleag-tw-name,','))"/>
        </last-name>
        <first-name>
          <xsl:value-of select="normalize-space(substring-after(simpleag-tw-name,','))"/>
        </first-name>
        <iid/>
        <registered-number/>
        <address lang="tw">
          <zip-code/>
          <dtext/>
        </address>
        <phones>
          <phone-region/>
          <phone/>
        </phones>
        <fax/>
        <cell-phone/>
        <email/>
      </addressbook>
      <customer-number/>
    </agent>
  </xsl:template>

  <xsl:template match="change-item">
    <change-applicant num="1">
      <xsl:if test="change-address='是'">
        <change-address change="y"/>
      </xsl:if>
      <xsl:if test="change-representative='是'">
        <change-representative change="y"/>
      </xsl:if>
      <xsl:if test="change-name='是'">
        <change-name change="y"/>
      </xsl:if>
      <xsl:if test="change-sign='是'">
        <change-sign change="y"/>
      </xsl:if>
      <xsl:if test="change-nationality='是'">
        <change-nationality change="y"/>
      </xsl:if>
    </change-applicant>
    <xsl:if test="change-agent='是'">
      <change-agent change="y"/>
    </xsl:if>
  </xsl:template>
  
	<xsl:template match="basis">
	<basis>
		<date>
			<xsl:value-of select="basis-date"/>
		</date>
		<basis1></basis1>
		<basis2>
			<xsl:value-of select="basis-basis2"/>
		</basis2>
		<basis-num>
			<xsl:value-of select="basis-num"/>
		</basis-num>
	</basis>
  </xsl:template>

  <xsl:template match="specification-item">
   <specification-item>
     <xsl:if test="count(page-of-specification)&gt;0">
       <page-of-specification add="y">
         <xsl:value-of select="page-of-specification"/>
       </page-of-specification>
     </xsl:if>
     <xsl:if test="count(numbers-of-claims)&gt;0">
       <numbers-of-claims add="y">
         <xsl:value-of select="numbers-of-claims"/>
       </numbers-of-claims>
     </xsl:if>
     <xsl:if test="count(other-addition)&gt;0">
       <other-addition add="y">
         <num/>
         <dtext>
         <xsl:value-of select="other-addition"/>
         </dtext>
       </other-addition>
     </xsl:if>
     <xsl:if test="count(others)&gt;0">
       <others>
         <dtext>
           <xsl:value-of select="others"/>
         </dtext>
       </others>
     </xsl:if>
   </specification-item>
  </xsl:template>

  <xsl:template match="other-addition">
    <other-addition add="y">
      <num/>
      <dtext>
        <xsl:value-of select="."/>
      </dtext>
    </other-addition>
  </xsl:template>

  <xsl:template match="others">
    <others>
      <dtext>
        <xsl:value-of select="."/>
      </dtext>
    </others>
  </xsl:template>

  <xsl:attribute-set name="AddPageCount">
    <xsl:attribute name="add">y</xsl:attribute>
    <xsl:attribute name="page-count"/>
  </xsl:attribute-set>
  
  <xsl:attribute-set name="Add">
    <xsl:attribute name="add">y</xsl:attribute>
  </xsl:attribute-set>

  <xsl:attribute-set name="AddLang">
    <xsl:attribute name="add">y</xsl:attribute>
    <xsl:attribute name="lang"/>
  </xsl:attribute-set>

  <xsl:template match="abstract01 | abstract02">
    <abstract add="y" page-count="">
      <xsl:attribute name="list-seq">
        <xsl:value-of select="@list-seq"/>
      </xsl:attribute>
      <xsl:apply-templates select="*|node()"/>
    </abstract>
  </xsl:template>

  <xsl:template match="claims01 | claims02">
    <claims add="y" page-count="">
      <xsl:attribute name="list-seq">
        <xsl:value-of select="@list-seq"/>
      </xsl:attribute>
      <xsl:apply-templates select="*|node()"/>
    </claims>
  </xsl:template>

  <xsl:template match="description01 | description02 | description03 | description04 ">
    <description add="y" page-count="">
      <xsl:attribute name="list-seq">
        <xsl:value-of select="@list-seq"/>
      </xsl:attribute>
      <xsl:apply-templates select="*|node()"/>
    </description>
  </xsl:template>

  <xsl:template match="drawing01 | drawing02 | drawing03|drawing04">
    <drawing add="y">
      <xsl:attribute name="page-count">
        <xsl:value-of select='preceding::drawing-num'/>
      </xsl:attribute>
      <xsl:attribute name="list-seq">
        <xsl:value-of select="@list-seq"/>
      </xsl:attribute>
      <xsl:apply-templates select="*|node()"/>
    </drawing>
  </xsl:template>

  <xsl:template match="without-line-abstract-complete01 | without-line-abstract-complete02">
    <without-line-abstract-complete add="y">
      <xsl:attribute name="list-seq">
        <xsl:value-of select="@list-seq"/>
      </xsl:attribute>
      <xsl:apply-templates select="*|node()"/>
    </without-line-abstract-complete>
  </xsl:template>

  <xsl:template match="without-line-description-complete01 | without-line-description-complete02 | without-line-description-complete03">
    <without-line-description-complete add="y">
      <xsl:attribute name="list-seq">
        <xsl:value-of select="@list-seq"/>
      </xsl:attribute>
      <xsl:apply-templates select="*|node()"/>
    </without-line-description-complete>
  </xsl:template>

  <xsl:template match="without-line-claims-complete01 | without-line-claims-complete02">
    <without-line-claims-complete add="y">
      <xsl:attribute name="list-seq">
        <xsl:value-of select="@list-seq"/>
      </xsl:attribute>
      <xsl:apply-templates select="*|node()"/>
    </without-line-claims-complete>
  </xsl:template>

  <xsl:template match="without-line-sequence">
    <without-line-sequence add="y">
      <xsl:attribute name="list-seq">
        <xsl:value-of select="@list-seq"/>
      </xsl:attribute>
      <xsl:apply-templates select="*|node()"/>
    </without-line-sequence>
  </xsl:template>
  
  <xsl:template match="drawing-complete01 | drawing-complete02 | drawing-complete03">
    <drawing-complete add="y" >
      <xsl:attribute name="list-seq">
        <xsl:value-of select="@list-seq"/>
      </xsl:attribute>
      <xsl:apply-templates select="*|node()"/>
    </drawing-complete>
  </xsl:template>
  
  <xsl:template match="with-line-abstract-page01 | with-line-abstract-page02">
    <with-line-abstract-page add="y">
      <xsl:attribute name="list-seq">
        <xsl:value-of select="@list-seq"/>
      </xsl:attribute>
      <xsl:apply-templates select="*|node()"/>
    </with-line-abstract-page>
  </xsl:template>

  <xsl:template match="with-line-description-page01 | with-line-description-page02 | with-line-description-page03">
    <with-line-description-page add="y">
      <xsl:attribute name="list-seq">
        <xsl:value-of select="@list-seq"/>
      </xsl:attribute>
      <xsl:apply-templates select="*|node()"/>
    </with-line-description-page>
  </xsl:template>

  <xsl:template match="with-line-claims-page01 | with-line-claims-page02">
    <with-line-claims-page add="y">
      <xsl:attribute name="list-seq">
        <xsl:value-of select="@list-seq"/>
      </xsl:attribute>
      <xsl:apply-templates select="*|node()"/>
    </with-line-claims-page>
  </xsl:template>

  <xsl:template match="with-line-sequence">
    <with-line-sequence add="y">
      <xsl:attribute name="list-seq">
        <xsl:value-of select="@list-seq"/>
      </xsl:attribute>
      <xsl:apply-templates select="*|node()"/>
    </with-line-sequence>
  </xsl:template>
  
  <xsl:template match="with-line-amendment-abstract-page01 | with-line-amendment-abstract-page02">
    <with-line-abstract-page add="y">
      <xsl:attribute name="list-seq">
        <xsl:value-of select="@list-seq"/>
      </xsl:attribute>
      <xsl:apply-templates select="*|node()"/>
    </with-line-abstract-page>
  </xsl:template>

  <xsl:template match="with-line-amendment-description-page01 | with-line-amendment-description-page02 | with-line-amendment-description-page03">
    <with-line-description-page add="y">
      <xsl:attribute name="list-seq">
        <xsl:value-of select="@list-seq"/>
      </xsl:attribute>
      <xsl:apply-templates select="*|node()"/>
    </with-line-description-page>
  </xsl:template>

  <xsl:template match="with-line-amendment-claims-page01 | with-line-amendment-claims-page02">
    <with-line-claims-page add="y">
      <xsl:attribute name="list-seq">
        <xsl:value-of select="@list-seq"/>
      </xsl:attribute>
      <xsl:apply-templates select="*|node()"/>
    </with-line-claims-page>
  </xsl:template>
  
  <xsl:template match="foreign-specification">
    <foreign-specification>
      <xsl:attribute name="add">y</xsl:attribute>
      <xsl:attribute name="lang"/>
      <xsl:attribute name="count">
        <xsl:value-of select='preceding::foreign-specification-page-count'/>
      </xsl:attribute>
      <xsl:attribute name="list-seq">
        <xsl:value-of select="@list-seq"/>
      </xsl:attribute>
      <xsl:apply-templates select="*|node()"/>
    </foreign-specification>
  </xsl:template>
  
  <xsl:template match="simplified-specification">
    <simplified-specification>
      <xsl:attribute name="add">y</xsl:attribute>
      <xsl:attribute name="list-seq">
        <xsl:value-of select="@list-seq"/>
      </xsl:attribute>
      <xsl:apply-templates select="*|node()"/>
    </simplified-specification>
  </xsl:template>
  
   <xsl:template match="foreign-specification-sequence">
    <foreign-specification-sequence>
      <xsl:attribute name="add">y</xsl:attribute>
      <xsl:attribute name="lang"/>
      <xsl:attribute name="count">
        <xsl:value-of select='preceding::foreign-specification-sequence-page-count'/>
      </xsl:attribute>
      <xsl:attribute name="list-seq">
        <xsl:value-of select="@list-seq"/>
      </xsl:attribute>
      <xsl:apply-templates select="*|node()"/>
    </foreign-specification-sequence>
  </xsl:template>
  
  <xsl:template match="simplified-specification-sequence">
    <simplified-specification-sequence>
      <xsl:attribute name="add">y</xsl:attribute>
      <xsl:attribute name="list-seq">
        <xsl:value-of select="@list-seq"/>
      </xsl:attribute>
      <xsl:apply-templates select="*|node()"/>
    </simplified-specification-sequence>
  </xsl:template>

  <xsl:template match="opt-claim06-v2">
    <opt-claim>
      <xsl:text>6</xsl:text>
    </opt-claim>
  </xsl:template>
  <xsl:template match="opt-claim07-v2">
    <opt-claim>
      <xsl:text>7</xsl:text>
    </opt-claim>
    <opt-plus>
      <xsl:if test="string-length(../opt-claim07/claim07-amount-total) &gt;0">
        <xsl:text>1</xsl:text>
      </xsl:if>
      <xsl:if test="string-length(../opt-claim07/claim07-amount-refund) &gt;0">
        <xsl:text>0</xsl:text>
      </xsl:if>
    </opt-plus>
  </xsl:template>

  <xsl:template match="total-pages-nochangefee">
    <total-pages-nochangefee>
      <xsl:text>6</xsl:text>
    </total-pages-nochangefee>
  </xsl:template>
  <xsl:template match="total-pages-changefee">
    <total-pages-changefee>
      <xsl:text>7</xsl:text>
    </total-pages-changefee>
    <total-pages-plus>
      <xsl:if test="string-length(../total-pages-changefee/fee-add) &gt;0">
        <xsl:text>1</xsl:text>
      </xsl:if>
      <xsl:if test="string-length(../total-pages-changefee/fee-refund) &gt;0">
        <xsl:text>0</xsl:text>
      </xsl:if>
    </total-pages-plus>
  </xsl:template>
  
  <xsl:template match="spec-frontpage| 
                application-form| 
                reexam-reason| 
                allegation-document| 
                right-of-filing-document| 
                power-of-attorney| 
                international-priority1| 
                domestic-specification| 
                international-priority|
                domestic-security| 
                domestic-bio-doc| 
                international-bio-doc | 
                easily-obtained-doc |
                viability-statement| 
                lack-of-novelty-0| 
                practice-doc| 
                assignment-certificate| 
                absorb-company| 
                other-consent|
                death-certificate| 
                inheritance-table| 
                census-register| 
                inheritance-certificate| 
                renounce-inheritance-certificate| 
                will-notarization|
                apart-agreement-and-seal-certificate| 
                signs-jointly-book | 
                spec-source-file | 
                page-of-specification |
                numbers-of-claims |
                simplified-specification |
                contact">
    <xsl:copy use-attribute-sets="Add">
      <xsl:attribute name="list-seq">
        <xsl:value-of select="@list-seq"/>
      </xsl:attribute>
      <xsl:apply-templates select="*|node()"/>
    </xsl:copy>
  </xsl:template>
  
  <xsl:template match="check-list">
    <xsl:apply-templates select="abstract01[string-length(string())&gt;'0']"/>
    <xsl:apply-templates select="abstract02[string-length(string())&gt;'0']"/>
    <xsl:apply-templates select="description01[string-length(string())&gt;'0']"/>
    <xsl:apply-templates select="description02[string-length(string())&gt;'0']"/>
    <xsl:apply-templates select="description03[string-length(string())&gt;'0']"/>
    <xsl:apply-templates select="description04[string-length(string())&gt;'0']"/>
    <xsl:apply-templates select="claims01[string-length(string())&gt;'0']"/>
    <xsl:apply-templates select="claims02[string-length(string())&gt;'0']"/>
    <xsl:apply-templates select="drawing01[string-length(string())&gt;'0']"/>
    <xsl:apply-templates select="drawing02[string-length(string())&gt;'0']"/>
    <xsl:apply-templates select="drawing03[string-length(string())&gt;'0']"/>
    <xsl:apply-templates select="drawing04[string-length(string())&gt;'0']"/>
    <xsl:apply-templates select="without-line-abstract-complete01[string-length(string())&gt;'0']"/>
    <xsl:apply-templates select="without-line-abstract-complete02[string-length(string())&gt;'0']"/>
    <xsl:apply-templates select="without-line-description-complete01[string-length(string())&gt;'0']"/>
    <xsl:apply-templates select="without-line-description-complete02[string-length(string())&gt;'0']"/>
    <xsl:apply-templates select="without-line-description-complete03[string-length(string())&gt;'0']"/>
    <xsl:apply-templates select="without-line-claims-complete01[string-length(string())&gt;'0']"/>
    <xsl:apply-templates select="without-line-claims-complete02[string-length(string())&gt;'0']"/>
    <xsl:apply-templates select="without-line-sequence[string-length(string())&gt;'0']"/>
    <xsl:apply-templates select="drawing-complete01[string-length(string())&gt;'0']"/>
    <xsl:apply-templates select="drawing-complete02[string-length(string())&gt;'0']"/>
    <xsl:apply-templates select="drawing-complete03[string-length(string())&gt;'0']"/>
    <xsl:apply-templates select="with-line-abstract-page01[string-length(string())&gt;'0']"/>
    <xsl:apply-templates select="with-line-abstract-page02[string-length(string())&gt;'0']"/>
    <xsl:apply-templates select="with-line-description-page01[string-length(string())&gt;'0']"/>
    <xsl:apply-templates select="with-line-description-page02[string-length(string())&gt;'0']"/>
    <xsl:apply-templates select="with-line-description-page03[string-length(string())&gt;'0']"/>
    <xsl:apply-templates select="with-line-claims-page01[string-length(string())&gt;'0']"/>
    <xsl:apply-templates select="with-line-claims-page02[string-length(string())&gt;'0']"/>
    <xsl:apply-templates select="with-line-amendment-abstract-page01[string-length(string())&gt;'0']"/>
    <xsl:apply-templates select="with-line-amendment-abstract-page02[string-length(string())&gt;'0']"/>
    <xsl:apply-templates select="with-line-amendment-description-page01[string-length(string())&gt;'0']"/>
    <xsl:apply-templates select="with-line-amendment-description-page02[string-length(string())&gt;'0']"/>
    <xsl:apply-templates select="with-line-amendment-description-page03[string-length(string())&gt;'0']"/>
    <xsl:apply-templates select="with-line-amendment-claims-page01[string-length(string())&gt;'0']"/>
    <xsl:apply-templates select="with-line-amendment-claims-page02[string-length(string())&gt;'0']"/>
    <xsl:apply-templates select="with-line-sequence[string-length(string())&gt;'0']"/>
    <xsl:apply-templates select="spec-frontpage[string-length(string())&gt;'0']"/>
    <xsl:apply-templates select="application-form[string-length(string())&gt;'0']"/>
    <xsl:apply-templates select="reexam-reason[string-length(string())&gt;'0']"/>
    <xsl:apply-templates select="allegation-document[string-length(string())&gt;'0']"/>
    <xsl:apply-templates select="right-of-filing-document[string-length(string())&gt;'0']"/>
    <xsl:apply-templates select="power-of-attorney[string-length(string())&gt;'0']"/>
    <xsl:apply-templates select="foreign-specification[string-length(string())&gt;'0']"/>
    <xsl:apply-templates select="simplified-specification[string-length(string())&gt;'0']"/>
	<xsl:apply-templates select="foreign-specification-sequence[string-length(string())&gt;'0']"/>
    <xsl:apply-templates select="simplified-specification-sequence[string-length(string())&gt;'0']"/>
    <xsl:apply-templates select="international-priority[string-length(string())&gt;'0']"/>
    <xsl:apply-templates select="international-priority1[string-length(string())&gt;'0']"/>
    <xsl:apply-templates select="domestic-specification[string-length(string())&gt;'0']"/>
    <xsl:apply-templates select="domestic-security[string-length(string())&gt;'0']"/>
    <xsl:apply-templates select="domestic-bio-doc[string-length(string())&gt;'0']"/>
    <xsl:apply-templates select="international-bio-doc[string-length(string())&gt;'0']"/>
    <xsl:apply-templates select="easily-obtained-doc[string-length(string())&gt;'0']"/>
    <xsl:apply-templates select="viability-statement[string-length(string())&gt;'0']"/>
    <xsl:apply-templates select="lack-of-novelty-0[string-length(string())&gt;'0']"/>
    <xsl:apply-templates select="lack-of-novelty-1[string-length(string())&gt;'0']"/>
    <xsl:apply-templates select="lack-of-novelty-2[string-length(string())&gt;'0']"/>
    <xsl:apply-templates select="practice-doc[string-length(string())&gt;'0']"/>
    <xsl:apply-templates select="assignment-certificate[string-length(string())&gt;'0']"/>
    <xsl:apply-templates select="absorb-company[string-length(string())&gt;'0']"/>
    <xsl:apply-templates select="other-consent[string-length(string())&gt;'0']"/>
    <xsl:apply-templates select="death-certificate[string-length(string())&gt;'0']"/>
    <xsl:apply-templates select="inheritance-table[string-length(string())&gt;'0']"/>
    <xsl:apply-templates select="census-register[string-length(string())&gt;'0']"/>
    <xsl:apply-templates select="inheritance-certificate[string-length(string())&gt;'0']"/>
    <xsl:apply-templates select="renounce-inheritance-certificate[string-length(string())&gt;'0']"/>
    <xsl:apply-templates select="will-notarization[string-length(string())&gt;'0']"/>
    <xsl:apply-templates select="apart-agreement-and-seal-certificate[string-length(string())&gt;'0']"/>
    <xsl:apply-templates select="signs-jointly-book[string-length(string())&gt;'0']"/>
    <xsl:apply-templates select="spec-source-file[string-length(string())&gt;'0']"/>
    <xsl:apply-templates select="contact[string-length(string())&gt;'0']"/>
    <xsl:apply-templates select="cl-other-document[string-length(string())&gt;'0']"/>
    <xsl:apply-templates select="../opt-claim06-v2[string-length(string())&gt;'0']"/>
    <xsl:apply-templates select="../opt-claim07-v2[string-length(string())&gt;'0']"/>
  </xsl:template>
    
  <xsl:template match="cl-other-document">
    <cl-other-document>
      <xsl:attribute name="list-seq">
        <xsl:value-of select="@list-seq"/>
      </xsl:attribute>
      <doc-description>
        <xsl:value-of select="doc-description"/>
      </doc-description>
      <doc-filename>
        <xsl:value-of select="doc-filename"/>
      </doc-filename>
    </cl-other-document>
  </xsl:template>
</xsl:stylesheet>
