<?xml version="1.0" encoding="utf-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
  <xsl:output method="xml" indent="yes" doctype-system="DTD/trademark-accelerated-examine-application.dtd" encoding="UTF-8"/>
  <xsl:template match="/trademark-accelerated-examine-application">
    <trademark-accelerated-examine-application receive-num="" receive-date="" dtd-version="2.0.1" application-version="1.0.7" form-version="1.0.6" fee-version="1.0.2"  produced-by="applicant" form-type="n">
      <xsl:attribute name="case-code">
        <xsl:value-of select="case-code"/>
      </xsl:attribute>

      <xsl:choose>
        <xsl:when test="count(recognizance1)&gt;0">
          <xsl:attribute name="recognizance1">
            <xsl:text>y</xsl:text>
          </xsl:attribute>
        </xsl:when>
        <xsl:otherwise>
          <xsl:attribute name="recognizance1">
            <xsl:text>n</xsl:text>
          </xsl:attribute>
        </xsl:otherwise>
      </xsl:choose>

      <xsl:choose>
        <xsl:when test="count(recognizance2)&gt;0">
          <xsl:attribute name="recognizance2">
            <xsl:text>y</xsl:text>
          </xsl:attribute>
        </xsl:when>
        <xsl:otherwise>
          <xsl:attribute name="recognizance2">
            <xsl:text>n</xsl:text>
          </xsl:attribute>
        </xsl:otherwise>
      </xsl:choose>

      <xsl:choose>
        <xsl:when test="count(recognizance3)&gt;0">
          <xsl:attribute name="recognizance3">
            <xsl:text>y</xsl:text>
          </xsl:attribute>
        </xsl:when>
        <xsl:otherwise>
          <xsl:attribute name="recognizance3">
            <xsl:text>n</xsl:text>
          </xsl:attribute>
        </xsl:otherwise>
      </xsl:choose>
      <xsl:choose>
        <xsl:when test="count(recognizance5)&gt;0">
          <xsl:attribute name="recognizance5">
            <xsl:text>y</xsl:text>
          </xsl:attribute>
        </xsl:when>
        <xsl:otherwise>
          <xsl:attribute name="recognizance5">
            <xsl:text>n</xsl:text>
          </xsl:attribute>
        </xsl:otherwise>
      </xsl:choose>
      <xsl:choose>
        <xsl:when test="count(recognizance7)&gt;0">
          <xsl:attribute name="recognizance7">
            <xsl:text>y</xsl:text>
          </xsl:attribute>
        </xsl:when>
        <xsl:otherwise>
          <xsl:attribute name="recognizance7">
            <xsl:text>n</xsl:text>
          </xsl:attribute>
        </xsl:otherwise>
      </xsl:choose>
      <xsl:choose>
        <xsl:when test="count(recognizance8)&gt;0">
          <xsl:attribute name="recognizance8">
            <xsl:text>y</xsl:text>
          </xsl:attribute>
        </xsl:when>
        <xsl:otherwise>
          <xsl:attribute name="recognizance8">
            <xsl:text>n</xsl:text>
          </xsl:attribute>
        </xsl:otherwise>
      </xsl:choose>

      <xsl:attribute name="application-num">
        <xsl:value-of select="application-num"/>
      </xsl:attribute>
      <xsl:attribute name="type-of-mark">
        <xsl:choose>
          <xsl:when test="type-of-mark='商標'">
            <xsl:text>trademark</xsl:text>
          </xsl:when>
          <xsl:when test="type-of-mark='證明標章'">
            <xsl:text>certification-mark</xsl:text>
          </xsl:when>
          <xsl:when test="type-of-mark='團體標章'">
            <xsl:text>collective-membership-mark</xsl:text>
          </xsl:when>
          <xsl:when test="type-of-mark='團體商標'">
            <xsl:text>collective-trademark</xsl:text>
          </xsl:when>
        </xsl:choose>
      </xsl:attribute>
      
      <file-reference-id>
        <xsl:value-of select="file-reference-id"/>
      </file-reference-id>
      <mark-representation>
        <xsl:copy-of select="denomination"/>
      </mark-representation>
      <xsl:apply-templates select="parties"/>
      <trademark-accelerated-examine-item>
        <xsl:value-of select="trademark-accelerated-examine-item"/>
      </trademark-accelerated-examine-item>
      <accelerated-examine-content>
        <xsl:value-of select="accelerated-examine-content"/>
      </accelerated-examine-content>
      
      <signatories>
        <signatory>
          <name />
          <registered-number />
          <electronic-signature date="">
            <enhanced-signature>
              <pkcs7 />
            </enhanced-signature>
          </electronic-signature>
        </signatory>
      </signatories>
      <fee-sheet-trademark lang="" ro="">
        <applicant-name>
          <name>
            <xsl:value-of select="fee-sheet/fee-name"/>
          </name>
          <iid>
            <xsl:value-of select="deposit-account/iid"/>
          </iid>
          <registered-number/>
        </applicant-name>
        <prescribed-fees currency=""/>
        <deposit-account>
          <authorization/>
          <ro>
            <country/>
          </ro>
          <account-no>
            <xsl:value-of select="deposit-account/account-no"/>
          </account-no>
          <receipt-type>
            <xsl:value-of select="deposit-account/receipt-type"/>
          </receipt-type>
          <date/>
          <name/>
          <registered-number/>
        </deposit-account>
        <dtext>
          <xsl:value-of select="fee-sheet/fee-dtext"/>
        </dtext>
      </fee-sheet-trademark>

      <!-- 2013/11/12 申請單編號:045-102-090 ADD BY ALGER -->
      <annotation>
        <dtext>
          <xsl:value-of select="dtext"/>
        </dtext>
      </annotation>
      
      <check-list>
        <xsl:apply-templates select="check-list"/>
      </check-list>
    </trademark-accelerated-examine-application>
  </xsl:template>

  <xsl:template match="new">

  </xsl:template>

  <xsl:template match="parties">
    <parties>
      <applicants>
        <xsl:apply-templates select="applicant"/>
      </applicants>
      <xsl:apply-templates select="correspondence-address"/>
      <agents>
        <xsl:apply-templates select="agent"/>
      </agents>
    </parties>
  </xsl:template>

  <xsl:template match="applicant">
    <applicant>
      <xsl:attribute name="sequence">
        <xsl:number value="position()" format="1"/>
      </xsl:attribute>
      <xsl:choose>
        <xsl:when test="ap-designated-representative='是'">
          <xsl:attribute name="designated-receiver">
            <xsl:value-of  select="translate(ap-designated-representative,'是','y')"/>
          </xsl:attribute>
        </xsl:when>
        <xsl:otherwise>
          <xsl:attribute name="designated-receiver">
            <xsl:text>n</xsl:text>
          </xsl:attribute>
        </xsl:otherwise>
      </xsl:choose>
      <addressbook lang="tw">
        <xsl:choose>
          <xsl:when test="ap-name-type='自然人'">
            <last-name>
              <xsl:value-of select="normalize-space(substring-before(ap-tw-name,','))"/>
            </last-name>
            <first-name>
              <xsl:value-of select="normalize-space(substring-after(ap-tw-name,','))"/>
            </first-name>
          </xsl:when>
          <xsl:otherwise>
            <orgname>
              <xsl:value-of select="normalize-space(ap-tw-comname)"/>
            </orgname>
          </xsl:otherwise>
        </xsl:choose>
        <role>
          <xsl:value-of select="ap-name-type"/>
        </role>
        <iid>
          <xsl:value-of select="ap-tw-iid"/>
        </iid>
        <registered-number/>
        <representative>
          <xsl:value-of select="ap-tw-representative"/>
        </representative>
        <address lang="tw">
          <zip-code>
            <xsl:value-of select="ap-zip-code"/>
          </zip-code>
          <dtext>
            <xsl:value-of select="ap-tw-address"/>
          </dtext>
        </address>
        <phones>
          <phone-region/>
          <phone>
            <xsl:value-of select="ap-tw-phone"/>
          </phone>
        </phones>
        <fax>
          <xsl:value-of select="ap-tw-fax"/>
        </fax>
        <cell-phone>
          <xsl:value-of select="ap-tw-cell-phone"/>
        </cell-phone>
        <email>
          <xsl:value-of select="ap-tw-email"/>
        </email>
      </addressbook>
      <addressbook lang="en">
        <xsl:choose>
          <xsl:when test="ap-name-type='自然人'">
            <last-name>
              <xsl:value-of select="normalize-space(substring-before(ap-en-name,','))"/>
            </last-name>
            <first-name>
              <xsl:value-of select="normalize-space(substring-after(ap-en-name,','))"/>
            </first-name>
          </xsl:when>
          <xsl:otherwise>
            <orgname>
              <xsl:value-of select="normalize-space(ap-en-comname)"/>
            </orgname>
          </xsl:otherwise>
        </xsl:choose>
        <iid>
          <xsl:value-of select="ap-tw-iid"/>
        </iid>
        <registered-number/>
        <representative>
          <xsl:value-of select="ap-en-representative"/>
        </representative>
        <address lang="en">
          <dtext>
            <xsl:value-of select="ap-en-address"/>
          </dtext>
        </address>
        <email/>
      </addressbook>
      <nationality>
        <country>
          <xsl:value-of select="substring(ap-country,'3')"/>
        </country>
        <country-code>
          <xsl:value-of select="substring(ap-country,'1','2')"/>
        </country-code>
      </nationality>
      <residence>
        <country>
          <xsl:value-of select="ap-living-country"/>
        </country>
      </residence>
      <legal-representative lang="tw">
        <addressbook lang="tw">
          <last-name>
            <xsl:value-of select="normalize-space(substring-before(ap-tw-legal-name,','))"/>
          </last-name>
          <first-name>
            <xsl:value-of select="normalize-space(substring-after(ap-tw-legal-name,','))"/>
          </first-name>
          <iid>
            <xsl:value-of select="ap-tw-legal-iid"/>
          </iid>
          <registered-number />
          <address lang="tw">
            <dtext />
          </address>
          <email />
        </addressbook>
      </legal-representative>
    </applicant>
  </xsl:template>

  <xsl:template match="correspondence-address">
    <correspondence-address>
      <addressbook lang="tw">
        <last-name>
          <xsl:value-of select="normalize-space(substring-before(co-tw-name,','))"/>
        </last-name>
        <first-name>
          <xsl:value-of select="normalize-space(substring-after(co-tw-name,','))"/>
        </first-name>
        <iid>
          <xsl:value-of select="co-tw-iid"/>
        </iid>
        <registered-number/>
        <address lang="tw">
          <zip-code>
            <xsl:value-of select="co-zip-code"/>
          </zip-code>
          <dtext>
            <xsl:value-of select="co-tw-address"/>
          </dtext>
        </address>
        <phones>
          <phone-region/>
          <phone>
            <xsl:value-of select="co-tw-phone"/>
          </phone>
        </phones>
        <email/>
      </addressbook>
    </correspondence-address>
  </xsl:template>

  <xsl:template match="agent">
    <agent agent-type="agent" rep-type="agent">
      <xsl:attribute name="sequence">
        <xsl:number value="position()" format="1"/>
      </xsl:attribute>
      <addressbook lang="tw">
        <last-name>
          <xsl:value-of select="normalize-space(substring-before(ag-tw-name,','))"/>
        </last-name>
        <first-name>
          <xsl:value-of select="normalize-space(substring-after(ag-tw-name,','))"/>
        </first-name>
        <iid>
          <xsl:value-of select="ag-tw-iid"/>
        </iid>
        <registered-number/>
        <address lang="tw">
          <zip-code>
            <xsl:value-of select="ag-zip-code"/>
          </zip-code>
          <dtext>
            <xsl:value-of select="ag-tw-address"/>
          </dtext>
        </address>
        <phones>
          <phone-region/>
          <phone>
            <xsl:value-of select="ag-tw-phone"/>
          </phone>
        </phones>
        <fax>
          <xsl:value-of select="ag-tw-fax"/>
        </fax>
        <cell-phone>
          <xsl:value-of select="ag-tw-cell-phone"/>
        </cell-phone>
        <email>
          <xsl:value-of select="ag-tw-email"/>
        </email>
      </addressbook>
      <customer-number>
        <xsl:value-of select="ag-customer-number"/>
      </customer-number>
    </agent>
  </xsl:template>

  <xsl:template match="check-list">
    <xsl:apply-templates select="power-of-attorney"/>
    <xsl:apply-templates select="power-of-attorney-translation"/>
    <xsl:apply-templates select="evidence-of-actual-trademark-use"/>
    <xsl:apply-templates select="evidence-of-business-necessity-urgency"/>
    <xsl:apply-templates select="unauthorized-use-trademark-object-or-photo-by-third-party"/>
    <xsl:apply-templates select="trademark-infringement-warning-letter"/>
    <xsl:apply-templates select="third-party-request-authorized-use-doc"/>
    <xsl:apply-templates select="cooperative-merchandise-sales-contract"/>
    <xsl:apply-templates select="business-exhibition-join-contract"/>
    <xsl:apply-templates select="contact"/>
    <xsl:apply-templates select="cl-other-document"/>
  </xsl:template>

  <xsl:attribute-set name="Add">
    <xsl:attribute name="add">y</xsl:attribute>
  </xsl:attribute-set>

  <xsl:template match="power-of-attorney | power-of-attorney-translation | evidence-of-actual-trademark-use | evidence-of-business-necessity-urgency | unauthorized-use-trademark-object-or-photo-by-third-party | trademark-infringement-warning-letter | third-party-request-authorized-use-doc | cooperative-merchandise-sales-contract | business-exhibition-join-contract | contact">
    <xsl:copy use-attribute-sets="Add">
      <xsl:attribute name="list-seq">
        <xsl:value-of select="@list-seq"/>
      </xsl:attribute>
      <xsl:apply-templates select="*|node()"/>
    </xsl:copy>
  </xsl:template>

  <xsl:template match="cl-other-document">
    <cl-other-document>
      <xsl:attribute name="list-seq">
        <xsl:value-of select="@list-seq"/>
      </xsl:attribute>
      <doc-description>
        <xsl:value-of select="doc-description"/>
      </doc-description>
      <doc-filename>
        <xsl:value-of select="doc-filename"/>
      </doc-filename>
    </cl-other-document>
  </xsl:template>

</xsl:stylesheet>
